<?php

class ComposeController extends Controller
{
public $layout='//layouts/column3';
	public $defaultAction = 'compose';

	public function actionCompose($id = null) {
		$message = new Message();
		if (Yii::app()->request->getPost('Message')) {
			$receiverName = Yii::app()->request->getPost('receiver');
		    $message->attributes = Yii::app()->request->getPost('Message');
			$users = null;
			if(isset($_POST['Message']['userGroup']) && !empty($_POST['Message']['userGroup'])) {
				$criteria = new CDbCriteria;
				$criteria->select='idutente';
				if($_POST['Message']['userGroup'] != 'Tutti') {
					$criteria->condition = "gruppo = '".$_POST['Message']['userGroup']."'";
				}
				$users = Utenti::model()->findAll($criteria);

			} 
			
			if($users) {


				foreach($users as $single) {
					$message = new Message();
					$_POST['Message']['receiver_id'] = $single->idutente;
					$message->attributes = $_POST['Message']; //Yii::app()->request->getPost('Message');
					$message->sender_id = Yii::app()->user->getId();
					
					
					if ($message->save()) {
						
						
					} else if ($message->hasErrors('receiver_id')) {
						$message->receiver_id = null;
						$receiverName = '';
					}
				}
				
				Yii::app()->user->setFlash('messageModule', MessageModule::t('Messaggi inviati'));
				$this->redirect($this->createUrl('inbox/'));
			} else {
				$message->sender_id = Yii::app()->user->getId();
				if ($message->save()) {
					Yii::app()->user->setFlash('messageModule', MessageModule::t('Messaggio inviato'));
					$this->redirect($this->createUrl('inbox/'));
				} else if ($message->hasErrors('receiver_id')) {
					$message->receiver_id = null;
					$receiverName = '';
				}
			}
		} else {
			if ($id) {
				$receiver = call_user_func(array(call_user_func(array(Yii::app()->getModule('message')->userModel, 'model')), 'findByPk'), $id);
				if ($receiver) {
					$receiverName = call_user_func(array($receiver, Yii::app()->getModule('message')->getNameMethod));
					$message->receiver_id = $receiver->id;
				}
			}
		}
		$this->render(Yii::app()->getModule('message')->viewPath . '/compose', array('model' => $message, 'receiverName' => isset($receiverName) ? $receiverName : null));
	}
}
