<?php $this->pageTitle=Yii::app()->name . ' - '.MessageModule::t("Compose Message"); ?>
<?php
	$this->breadcrumbs=array(
		MessageModule::t("Messaggi"),
		MessageModule::t("Componi"),
	);
?>

<?php $this->renderPartial(Yii::app()->getModule('message')->viewPath . '/_navigation'); ?>

<h3><?php echo MessageModule::t('Componi Nuovo Messaggio'); ?></h3>

<div class="form">
	<?php $form = $this->beginWidget('CActiveForm', array(
		'id'=>'message-form',
		'enableAjaxValidation'=>false,
	)); ?>


	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'receiver_id'); ?>
		<?php //echo CHtml::textField('receiver', $receiverName) ?>
		
		
		
		<?php
		$this->widget('ext.select2.XSelect2', array(
			'id'=>'Message_receiver_id',
			'model'=>$model,
			'attribute'=>'receiver_id',
			'options'=>array(
				'minimumInputLength'=>2,
					'ajax' => array(
						'url'=>$this->createUrl('/utenti/utentiSuggeriti'),
						'dataType'=>'json',
						'data' => "js: function(term,page) {
							return {q: term};
						}",
						'results' => "js: function(data,page){
							return {results: data};
						}",
					),
        'initSelection' => "js:function (element, callback) {  
            var id=$(element).val();
            if (id!=='') {
                $.ajax('".$this->createUrl('/utenti/initjsonutente')."', {
                    dataType: 'json',
                    data: {
                        id: id
                    }
                }).done(function(data) { callback(data[0]);});
            }
        }",
    ),
    'htmlOptions'=>array(
        'style'=>'width:405px',
        'class'=>'formclienti'

    ),
));
		
		?>		
		<?php //echo $form->hiddenField($model,'receiver_id'); ?>
		<?php echo $form->error($model,'receiver_id'); ?>
	</div>
	
	oppure invia a: 
	
	<div class="row">
		<?php 
		$static = array(
			'Tutti'     => 'Tutti', 
		); ?>
		<?php echo CHtml::activeDropDownList($model,'userGroup',$static + Gruppi::getOptions(), array(
        'empty'=>'--Invia a gruppo--')); ?>
		<?php echo $form->error($model,'userGroup'); ?>
	</div>

	
	<div class="row">
		<?php echo $form->labelEx($model,'subject'); ?>
		<?php echo $form->textField($model,'subject',array('style'=>'width:400px;')); ?>
		<?php echo $form->error($model,'subject'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'body'); ?>
		
		<?php 
		$editMe = $this->widget('ext.editMe.widgets.ExtEditMe', array(
            'name'  =>'Message[body]',
            'value' => $model->body,
			'toolbar'=>array(array(
	 			'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat',
	 		),),
         ));
		
		?>
		<?php echo $form->error($model,'body'); ?>
	</div>
	<br />
	<div class="row buttons">
		<?php echo CHtml::submitButton(MessageModule::t("Invia"),array('class'=>'btn btn-primary')); ?>
	</div>

	<?php $this->endWidget(); ?>

</div>

<?php $this->renderPartial(Yii::app()->getModule('message')->viewPath . '/_suggest'); ?>
