<?php $this->pageTitle=Yii::app()->name . ' - '.MessageModule::t("Messages:sent"); ?>
<?php
	$this->breadcrumbs=array(
		MessageModule::t("Messaggi"),
		MessageModule::t("Inviati"),
	);
?>

<?php $this->renderPartial(Yii::app()->getModule('message')->viewPath . '/_navigation') ?>

<?php if ($messagesAdapter->data): ?>
	<?php $form = $this->beginWidget('CActiveForm', array(
		'id'=>'message-delete-form',
		'enableAjaxValidation'=>false,
		'action' => $this->createUrl('delete/')
	)); ?>
<table style="width:90%;">
<tr><td coslpan="2"><h3><?php echo MessageModule::t('Messaggi inviati'); ?></h3></td></tr>
<tr><td align="left"><?php echo CHtml::submitButton(MessageModule::t("Elimina Selezionati"),array('class'=>'btn btn-error')); ?></td><td align="right"><?php $this->widget('CLinkPager', array('pages' => $messagesAdapter->getPagination())) ?></td></tr>
</table>





	<table class="dataGrid" style="width:90%;">
		<tr>
			<th class="label" style="width:30px;">&nbsp;</th>
			<th class="label" style="width:100px;">Data</th>
			<th class="label" style="width:100px;">Inviato a:</th>
			<th class="label" style="width:250px;">Oggetto</th>
		</tr>
		<?php foreach ($messagesAdapter->data as $index => $message): ?>
			<tr class="line <?php echo $message->is_read ? 'read' : 'unread' ?>">
				
				<td style="text-align:center;">
					<?php echo CHtml::checkBox("Message[$index][selected]"); ?>
					<?php echo $form->hiddenField($message,"[$index]id"); ?>
				</td>
				<td><span class="date"><?php echo date('d-m-Y H:i:s', strtotime($message->created_at)) ?></span></td>
				
				<?php if($message->is_read) { ?>
				<td><?php echo $message->getReceiverName(); ?></td>
				<td><a href="<?php echo $this->createUrl('view/', array('message_id' => $message->id)) ?>" style="color:#000000;"><?php echo $message->subject ?></a></td>
				<?php } else { ?>
				<td style="font-weight:bold;"><?php echo $message->getReceiverName(); ?></td>
				<td><a href="<?php echo $this->createUrl('view/', array('message_id' => $message->id)) ?>" style="color:#000000; font-weight:bold; color:#0072C6;"><?php echo $message->subject ?></a></td>
				<?php } ?>
			</tr>
			<tr style="margin-bottom:20px;">
				<td>&nbsp;</td><td colspan="3"><?php echo $message->body ?></td>
			</tr>
			
		<?php endforeach ?>
	</table>

	

	<?php $this->endWidget(); ?>

	
<?php endif; ?>

<style>
.line:hover {
	background-color:#eeeeee;
}
</style>
