<?php
/* @var $this AgentiController */
/* @var $model Agenti */

$this->breadcrumbs=array(
	'Agenti'=>array('admin'),
	'Gestione Agenti',
);


Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#agenti-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
<style>
.grid-view {
    padding: 0px 0;
}
</style>
<table style="margin:0; padding:0; line-height:5px;"><tr><td><h3>Gestione Agenti</h3></td><td>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="btn btn-success" value="Crea Nuovo Agente" onclick="location.href='index.php?r=agenti/create';"/></td></tr></table>


<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'agenti-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
	),
	'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
	'columns'=>array(
		array('name'=>'idagente', 'header'=>'ID','type' =>'raw','htmlOptions'=>array('style'=>'width: 40px;')),	
		'nome',
		'cognome',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
