<?php
/* @var $this ArticoliController */
/* @var $model Articoli */
/* @var $form CActiveForm */ 
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'articoli-form',
	'enableAjaxValidation'=>false,
)); ?>

 
 <?php echo $form->errorSummary($model); ?>
  <div class="rounded10" style="width: 98%; background-color: #eeeeee; border: 1px solid #cccccc; padding: 10px;">
  <table width="100%">
  <tr>
  <td>
  	<div class="row2">
		<?php echo $form->labelEx($model,'idarticolo'); ?>
		<?php echo $form->textField($model,'idarticolo',array('readonly'=>true)); ?>
		<?php echo $form->error($model,'idarticolo'); ?>
  	</div>
  </td>
  <td>
	<div class="row2">
	  <div style="margin-top:20px; margin-bottom:20px;">
	  <?php 
	  $this->widget('zii.widgets.jui.CJuiButton', array(
		'buttonType'=>'submit',
			'name'=>'button3',
			'caption'=>$model->isNewRecord ? 'Crea' : 'Salva',
			'value'=>$model->isNewRecord ? 'Crea' : 'Salva',
			'htmlOptions'=>array('class'=>'btn btn-success'),
		));
	  echo '&nbsp;'; 
	  echo CHtml::link(
		 '<img src="images/cestino.png" alt="Cancella '.$model->descrizione.'" title="Cancella '.$model->descrizione.'" width="30" />',
		 array($model->tableName().'/delete','id'=>$model->id),
		 array('confirm' => 'Sei sicuro di volere eliminare questo record dalla tabella'.$model->tableName().' ?')
	  ); 
	  echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
	 ?>
	</div>

	
	
	
	</div>
  </td>
  </tr>
  <tr>
  <td>
    <div class="row2">
  		<?php echo $form->labelEx($model,'cod'); ?>
  		<?php echo $form->textField($model,'cod',array('size'=>50,'maxlength'=>50)); ?>
  		<?php echo $form->error($model,'cod'); ?>
  	</div>
  </td>
  <td>
    <div class="row2">
  		<?php echo $form->labelEx($model,'descrizione'); ?>
  		<?php echo $form->textField($model,'descrizione',array('size'=>60,'maxlength'=>120)); ?>
  		<?php echo $form->error($model,'descrizione'); ?>
	  </div>
  </td>
  </tr>
  <tr>
  <td>
     <div class="row2">
      <?php echo '<div class="input-prepend">'; ?>
      <?php echo(CHtml::label('Prezzo Unitario', 'prezzounitario')); ?>
      <?php echo '<span class="add-on">&euro;</span>'; ?>
	  <?php echo $form->textField($model,'prezzounitario',array('size'=>60,'maxlength'=>120,'pattern'=>'[0-9]+\.[0-9]{2}','value'=>$model->prezzounitario?$model->prezzounitario:'0.00'));  ?>
	  <!-- <?php echo CHtml::textField('Articoli[prezzounitario]',Yii::app()->numberFormatter->format('####.00',$model->prezzounitario,'EUR'),array('size'=>60)); ?> --><!-- possibile workaround -->
      <?php echo '</div>'; ?>
    	<?php echo $form->error($model,'prezzounitario'); ?>
  </div>
  
  
  </td>
  <td>  
    <div class="row2">
  		 <?php echo $form->labelEx($model,'unitamisura'); ?>
       <?php echo $form->dropDownList($model,'unitamisura',Unita::getOptions(),array('style'=>"width: 250px")); ?>
       <?php echo $form->error($model,'unitamisura'); ?>
    </div>
  </td>
  </tr>
  <tr>
  <td>
    <div class="row2">
		<?php echo $form->labelEx($model,'conteggio'); ?>
		<?php echo $form->textField($model,'conteggio'); ?>
		<?php echo $form->error($model,'conteggio'); ?>
	   </div>
  </td>
  <td>&nbsp;</td>
  </tr>
  </table>




<?php $this->endWidget(); ?>

</div><!-- form -->