<?php
/* @var $this ArticoliController */
/* @var $model Articoli */

$this->breadcrumbs=array(
	'Articoli'=>array('admin'),
	'Gestione Articoli',
);


Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#articoli-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
<style>
.grid-view {
    padding: 0px 0;
}
</style>
<table style="margin:0; padding:0; line-height:5px;"><tr><td><h3>Gestione Articoli</h3></td><td>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="btn btn-success" value="Crea Nuovo Articolo" onclick="location.href='index.php?r=articoli/create';"/></td></tr></table>

<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->


<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'articoli-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
	),
	'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
	'columns'=>array(
		array('name'=>'id', 'header'=>'ID','type' =>'raw','htmlOptions'=>array('style'=>'width: 50px;')),	
		'cod',
		'descrizione',
		array('name'=>'prezzounitario', 'header'=>'Prezzo','type' =>'raw','htmlOptions'=>array('style'=>'width: 80px;')),	
		array('name'=>'unitamisura', 'header'=>'Unita di Mis.','type' =>'raw','htmlOptions'=>array('style'=>'width: 80px;')),	
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
