<?php
/* @var $this ClientiController */
/* @var $model Clienti */

$this->breadcrumbs=array(
	'Clienti'=>array('admin'),
	'Gestione',
);


Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#clienti-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
<style>
.grid-view {
    padding: 0px 0;
}
</style>
<table style="margin:0; padding:0; line-height:5px;"><tr><td><h3>Gestione Clienti</h3></td><td>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="btn btn-success" value="Crea Nuovo Cliente" onclick="location.href='index.php?r=clienti/create';" /></td></tr></table>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'clienti-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
	),
	'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
	'columns'=>array(
		array(
			'class'=>'CButtonColumn',
			'template'=>'{update}',
		),
		array('name'=>'id', 'header'=>'ID','type' =>'raw','htmlOptions'=>array('style'=>'width: 30px;')),	
		'nomeditta',
		'indirizzo',
		'citta',		
		array('name'=>'telefono', 'header'=>'Telefono', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width: 80px;')),	
		array('name'=>'cellulare', 'header'=>'Cell', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width: 80px;')),	
		array('name'=>'piva', 'header'=>'Piva', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width: 80px;')),	
		array('name'=>'tipoconsegna', 'header'=>'Tipo Consegna', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width: 90px;')),		
		array(
			'class'=>'CButtonColumn',
			'template'=>'{view} {delete}',
		),
		
	),
)); ?>
