<?php
/* @var $this LavoriController */
/* @var $model Lavori */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'lavori-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'id'); ?>
		<?php echo $form->textField($model,'id'); ?>
		<?php echo $form->error($model,'id'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'idlavoro'); ?>
		<?php echo $form->textField($model,'idlavoro'); ?>
		<?php echo $form->error($model,'idlavoro'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'idordine'); ?>
		<?php echo $form->textField($model,'idordine'); ?>
		<?php echo $form->error($model,'idordine'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'cod'); ?>
		<?php echo $form->textField($model,'cod',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'cod'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'descrizione'); ?>
		<?php echo $form->textField($model,'descrizione',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'descrizione'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'quantita'); ?>
		<?php echo $form->textField($model,'quantita'); ?>
		<?php echo $form->error($model,'quantita'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'unita'); ?>
		<?php echo $form->textField($model,'unita',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'unita'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'prezzounitario'); ?>
		<?php echo $form->textField($model,'prezzounitario'); ?>
		<?php echo $form->error($model,'prezzounitario'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafica'); ?>
		<?php echo $form->textField($model,'grafica'); ?>
		<?php echo $form->error($model,'grafica'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafstato'); ?>
		<?php echo $form->textField($model,'grafstato',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'grafstato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafdove'); ?>
		<?php echo $form->textField($model,'grafdove'); ?>
		<?php echo $form->error($model,'grafdove'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafrientro'); ?>
		<?php echo $form->textField($model,'grafrientro'); ?>
		<?php echo $form->error($model,'grafrientro'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafgrafico'); ?>
		<?php echo $form->textField($model,'grafgrafico'); ?>
		<?php echo $form->error($model,'grafgrafico'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafore'); ?>
		<?php echo $form->textField($model,'grafore'); ?>
		<?php echo $form->error($model,'grafore'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafnote'); ?>
		<?php echo $form->textField($model,'grafnote',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'grafnote'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'grafinvio'); ?>
		<?php echo $form->textField($model,'grafinvio'); ?>
		<?php echo $form->error($model,'grafinvio'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'montaggio'); ?>
		<?php echo $form->textField($model,'montaggio'); ?>
		<?php echo $form->error($model,'montaggio'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'monstato'); ?>
		<?php echo $form->textField($model,'monstato',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'monstato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'mondove'); ?>
		<?php echo $form->textField($model,'mondove'); ?>
		<?php echo $form->error($model,'mondove'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'monrientro'); ?>
		<?php echo $form->textField($model,'monrientro'); ?>
		<?php echo $form->error($model,'monrientro'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'monlastre'); ?>
		<?php echo $form->textField($model,'monlastre',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'monlastre'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'monore'); ?>
		<?php echo $form->textField($model,'monore'); ?>
		<?php echo $form->error($model,'monore'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'MonNote'); ?>
		<?php echo $form->textField($model,'MonNote',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'MonNote'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'moninvio'); ?>
		<?php echo $form->textField($model,'moninvio'); ?>
		<?php echo $form->error($model,'moninvio'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stampa'); ?>
		<?php echo $form->textField($model,'stampa'); ?>
		<?php echo $form->error($model,'stampa'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stamstato'); ?>
		<?php echo $form->textField($model,'stamstato',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'stamstato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stamdove'); ?>
		<?php echo $form->textField($model,'stamdove'); ?>
		<?php echo $form->error($model,'stamdove'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stamrientro'); ?>
		<?php echo $form->textField($model,'stamrientro'); ?>
		<?php echo $form->error($model,'stamrientro'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stammacchina'); ?>
		<?php echo $form->textField($model,'stammacchina'); ?>
		<?php echo $form->error($model,'stammacchina'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stamtecnico'); ?>
		<?php echo $form->textField($model,'stamtecnico'); ?>
		<?php echo $form->error($model,'stamtecnico'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stamore'); ?>
		<?php echo $form->textField($model,'stamore'); ?>
		<?php echo $form->error($model,'stamore'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stamnote'); ?>
		<?php echo $form->textField($model,'stamnote',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'stamnote'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'staminvio'); ?>
		<?php echo $form->textField($model,'staminvio'); ?>
		<?php echo $form->error($model,'staminvio'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'confezione'); ?>
		<?php echo $form->textField($model,'confezione'); ?>
		<?php echo $form->error($model,'confezione'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'confstato'); ?>
		<?php echo $form->textField($model,'confstato',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'confstato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'confdove'); ?>
		<?php echo $form->textField($model,'confdove'); ?>
		<?php echo $form->error($model,'confdove'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'confrientro'); ?>
		<?php echo $form->textField($model,'confrientro'); ?>
		<?php echo $form->error($model,'confrientro'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'confore'); ?>
		<?php echo $form->textField($model,'confore'); ?>
		<?php echo $form->error($model,'confore'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'confnote'); ?>
		<?php echo $form->textField($model,'confnote',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'confnote'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'confinvio'); ?>
		<?php echo $form->textField($model,'confinvio'); ?>
		<?php echo $form->error($model,'confinvio'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stato'); ?>
		<?php echo $form->textField($model,'stato',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'stato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'tipologialavoro'); ?>
		<?php echo $form->textField($model,'tipologialavoro',array('size'=>60,'maxlength'=>128)); ?>
		<?php echo $form->error($model,'tipologialavoro'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'sconto'); ?>
		<?php echo $form->textField($model,'sconto'); ?>
		<?php echo $form->error($model,'sconto'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'idmontaggio'); ?>
		<?php echo $form->textField($model,'idmontaggio'); ?>
		<?php echo $form->error($model,'idmontaggio'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->