<?php
/* @var $this LavoriController */
/* @var $model Lavori */

$this->breadcrumbs=array(
	'Lavoris'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Lavori', 'url'=>array('index')),
	array('label'=>'Create Lavori', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#lavori-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Lavoris</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'lavori-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'id',
		'idlavoro',
		'idordine',
		'cod',
		'descrizione',
		'quantita',
		/*
		'unita',
		'prezzounitario',
		'grafica',
		'grafstato',
		'grafdove',
		'grafrientro',
		'grafgrafico',
		'grafore',
		'grafnote',
		'grafinvio',
		'montaggio',
		'monstato',
		'mondove',
		'monrientro',
		'monlastre',
		'monore',
		'MonNote',
		'moninvio',
		'stampa',
		'stamstato',
		'stamdove',
		'stamrientro',
		'stammacchina',
		'stamtecnico',
		'stamore',
		'stamnote',
		'staminvio',
		'confezione',
		'confstato',
		'confdove',
		'confrientro',
		'confore',
		'confnote',
		'confinvio',
		'stato',
		'tipologialavoro',
		'sconto',
		'idmontaggio',
		*/
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
