<?php
/* @var $this LavoriController */
/* @var $dataProvider CActiveDataProvider */

$this->breadcrumbs=array(
	'Lavori Settore Confezione',
);


$model = new Lavori('Lavori');
 if(isset($_GET['Lavori'])) {
    $model->attributes=$_GET['Lavori'];
    $model->nosospesi =  $_GET['Lavori']['nosospesi'];
 }
 
 $this->renderPartial('_searchconfezione',array(
	'model'=>$model,
)); ?>

<!-- <h3>Lavori Settore <?php //echo $settore; ?></h3> -->

<?php $this->widget('zii.widgets.CListView', array(
  'id'=>'listview-grid',
	'dataProvider'=>$dataProvider,
  'enablePagination'=>false,
  'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
	'itemView'=>'_viewgrafico',
)); ?>

<?php 
$this->beginWidget('zii.widgets.jui.CJuiDialog', array(
    'id'=>'lavoro-update-popup',
    'options'=>array(
        'title'=>'Dettagli Lavoro',
        'autoOpen'=>false,
        'modal'=>true,
        'height'=>'567',
        'width'=>'600',
        'closeOnEscape' => true,
        /* 'close'=>'js:function(event, ui) { updateEditForm(jQuery("#idaz").val()); }', */
    ),
));
  
    $this->widget('ext.select2.XSelect2', array(
    'id'=>'codautocomplete',
    'model'=>$model,
    'attribute'=>'cod',
    'options'=>array(
        'minimumInputLength'=>1,
        'ajax' => array(
            'url'=>$this->createUrl('/articoli/articoliSuggeriti'),
            'dataType'=>'json',
            'data' => "js: function(term,page) {
                return {q: term};
            }",
            'results' => "js: function(data,page){
                return {results: data};
            }",
           
        ),
        'initSelection' => "js:function (element, callback) {  
            var id=$(element).val();
            if (id!=='') {
                $.ajax('".$this->createUrl('/articoli/initjsonarticolo')."', {
                    dataType: 'json',
                    data: {
                        id: id
                    }
                }).done(function(data) { callback(data[0]);});
            }
        }",
    ),
    'events'=>array(
        'change'=>"js:function (element) {
            
            var id=element.val;

            if (id!='') {
                $.ajax('".CController::createUrl('articoli/getArticolobyIdJson')."', {
                    dataType: 'json',
                    data: {
                        cod: id
                    }
                }).done(function(data) {
                     if(data == null) {
                          $('#Lavori_descrizione').val('');
                          $('#Lavori_unita').val('');
                          $('#Lavori_quantita').val('');
                          $('#Lavori_cod').val('');
                          $('#Lavori_prezzounitario').val('');
                     } else {
                          $('#Lavori_descrizione').val(data.descrizione);
                          $('#Lavori_unita').val(data.unitamisura);
                          $('#Lavori_quantita').val(data.conteggio);
                          $('#Lavori_cod').val(data.cod);
                          $('#Lavori_prezzounitario').val(data.prezzounitario);
                     }
                });
            }
        }"
    ),
    'htmlOptions'=>array(
        'style'=>'width:200px;'
    ),
)); 
?>  
    <input type="button" class="btn btn-primary" name="prontoperconsegna" id="prontoperconsegna" value="Pronto per consegna"  />&nbsp;<input type="button" class="btn btn-success" name="salvaesci" id="salvaesci" value="Salva e Esci" />
<div id="maincontainer"></div>
<?php
$this->endWidget('zii.widgets.jui.CJuiDialog');  
?>
<script>
$( document ).ready(function() {
	
	$('#salvaesci').click(function(e) {
		e.preventDefault();
		$.ajax({
			type: "POST",
			url: "index.php?r=lavori/updateAjax&id=" + $('#Lavori_idlavoro').val(),
			data: jQuery('#lavori-ext-form').serialize(),
		}).done(function( msg ) {
			$.fn.yiiListView.update('listview-grid');
			$('#lavoro-update-popup').dialog("close");
			
		});
	});
	
	$('#prontoperconsegna').click(function(e) {
		e.preventDefault();
		$.ajax({
			type: "POST",
			url: "index.php?r=lavori/setStatusFinito&id=" + $('#Lavori_idlavoro').val(),
		}).done(function( msg ) {
			$.fn.yiiListView.update('listview-grid');
			$('#lavoro-update-popup').dialog("close");
			
		});
	});
	
	
	
	
});
</script>

