<?php
/* @var $this OrdiniController */
/* @var $model Ordini */
/* @var $form CActiveForm */
?>


<div class="form">

<?php 



$form=$this->beginWidget('CActiveForm', array(
	'id'=>'ordini-form',
	'enableAjaxValidation'=>false,
)); ?>

	<?php echo $form->errorSummary($model); ?>
<table width="100%">
<tr>
  <td width="90%" align="left" valign="top">
    <table>
	<tr>
	<td>
	<img width="240" src="<?php echo Yii::app()->request->baseUrl.'/images/sigem-logoordini310x130.jpg'; ?>" border="0" />
	</td>
	<td>
	<div style="font-size:1.0em;"><b>GRAFICHE SIGEM srl</b><br /><span style="font-size:0.9em;">Sede Legale, Amministrativa e Stabilimento:</span><br />Via Emilia Est, 1741 - 41100 Modena<br />Tel. 059/280311 - Fax. 059/280841<br />P.IVA 02223810363 - CCIAA n. 275157<br /><span style="font-size:0.8em;">Iscr. Trib. Mo n.40186 - Cap. Soc &euro; 10400,00 i.v.</span></div>
	</td>
	<?php if($model->consegnatassativa == "1") { ?>
	<td width="160">
	<table width="100%" valign="top">
	<tr>
	<td>
	<img src="<?php echo Yii::app()->request->baseUrl.'/images/tassativa.png' ?>" width="159" border="0" />
	</td>
	</tr>
	<tr>
	<td bgcolor="#cccccc" align="center" style="font-size:1.3em;">
	<?php echo date('d/m/Y', strtotime($model->dataconsegna)); ?>
	</td>
	</tr>
	</table>
	
	</td>
	<?php } ?>
	</tr>
	</table>
	
  </td>
</tr>
</table>
<table width="100%">
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2" align="center" bgcolor="black" style="color:#ffffff;  font-size:1.3em;">Cartella di LAVORAZIONE n. <span style="color:#ffffff; font-weight:bold; font-size:1.3em;"><?php echo $model->idordine; ?></span> - <span style="color:#ffffff; font-size:1.1em;"><?php echo $model->tipologiaordine; ?></span></td>
</tr>
<tr>
  <td colspan="2" style="font-size:1.2em;">Data inserimento: <b><?php echo date('d/m/Y',strtotime($model->datainserimento)); ?></b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Data consegna: <b><?php echo date('d/m/Y',strtotime($model->dataconsegna)); ?></b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tipo consegna: <b><?php echo $model->tipoconsegna; ?></b></td>
</tr>
<tr>
  <td colspan="2">&nbsp;</td>
</tr>
<tr>
  <td valign="top" width="50%">
      <table>
          <tr><td colspan="2" style="font-size:1.1em;">Agente: <?php echo Agenti::getAgenteByPk($model->agente); ?></td></tr>
          <tr><td colspan="2" bgcolor="black" style="color:#ffffff; font-weight:bold; font-size:1.2em;"><b><?php echo $model->relcliente->nomeditta; ?></b>&nbsp;</td></tr>
          <tr><td colspan="2" style="font-size:1.1em;"><?php echo $model->relcliente->indirizzo; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.1em;"><?php echo $model->relcliente->cap; ?>&nbsp;<?php echo $model->relcliente->citta; ?>&nbsp;(<?php echo $model->relcliente->provincia; ?>)</td></tr>
          <tr><td style="font-size:1.1em;">P.I. <?php echo $model->relcliente->piva; ?></td><td>C.F. <?php echo $model->relcliente->codfiscale; ?></td></tr>
		  <tr><td colspan="2" style="font-size:1.0em;"><?php if(isset($model->relcliente->note) && !empty($model->relcliente->note)) { echo 'Note cliente: '.$model->relcliente->note; } ?></td></tr>		  
      </table>
  </td>
  <td valign="top" width="50%" align="right">
      <table>
          <tr><td colspan="2" style="font-size:1.1em;">Ref. <?php echo $model->relcliente->referente; ?></td></tr>
          <tr><td style="font-size:1.1em;">Cel. <?php echo $model->relcliente->cellulare; ?></td><td>Tel. <?php echo $model->relcliente->telefono; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.1em;">Fax <?php echo $model->relcliente->fax; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.1em;">E-M <?php echo $model->relcliente->emai; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.1em; color:#ffffff; background-color:#000000;"><div>&nbsp;Tipo pagamento <b><?php echo $model->relcliente->pagamento; ?></div></td></tr>
          <tr>
              <td colspan="2" style="border: 1px solid grey;">
              <table>
                <tr><td class="fontsmall" style="font-size:1.1em;"><b>Banca:</b>&nbsp;<?php echo $model->relcliente->banca; ?></td></tr>
                <tr><td class="fontsmall" style="font-size:1.1em;">Agenzia: <?php echo $model->relcliente->agenzia; ?></td></tr>
                <tr><td class="fontsmall" style="font-size:1.1em;">ABI: <?php echo $model->relcliente->abi; ?></td><td class="fontsmall" style="font-size:1.1em;">CAB: <?php echo  trim(preg_replace('/\s\s+/', ' ', $model->relcliente->cab)); ?></td></tr>
              </table>
              </td>
          </tr>
      </table>
  </td>
</tr>

<tr>
  <td colspan="2" style="color:#000000; font-weight:bold; font-size:1.1em;">DETTAGLI ORDINE</td>
</tr>
<tr>
<td colspan="2" class="fontsmall">
<div style="padding:0px; margin:0px; width:100%;">

<?php

 $modellav = new CActiveDataProvider('Lavori',array(
        'pagination' => array ('PageSize' => 100,),
        'criteria' => array(
            'select' => 't.*',
            'condition' => 'idordine=:id', 
            'params' => array("id" => $model->idordine), 
            
        ),
 ));
 
 $this->widget('zii.widgets.grid.CGridView', array(
	 'id'=>'lavori-grid',
	 'dataProvider'=>$modellav,
     'enableSorting' => false,
	 'columns'=>array(
       
       
        array( 
          'name'=>'cod',
          'htmlOptions'=>array('class'=>'fontverysmall','style'=>'vertical-align:top;'),
          'header'=>'cod.art.',
          'headerHtmlOptions'=>array('style'=>'text-align:left; background-color:#ccccb3;font-weight:normal; font-size:1.1em;'),
        ), 
        array( 
          'name'=>'descrizione',
          'htmlOptions'=>array('style'=>'width: 570px;'),
          'header'=>'descrizione',
          'headerHtmlOptions'=>array('style'=>'text-align:left; background-color:#ccccb3; font-weight:normal; font-size:1.1em;'),
        ),
        array( 
          'name'=>'unita',
		  'htmlOptions'=>array('style'=>'text-align:center; width: 30px; vertical-align:top;'),
          'header'=>'um',
          'headerHtmlOptions'=>array('style'=>'background-color:#ccccb3; font-weight:normal; font-size:1.1em;'),
        ),
        array( 
          'name'=>'quantita',
		  'htmlOptions'=>array('style'=>'text-align:right; vertical-align:top;'),
          'header'=>'qt&agrave;',
          'headerHtmlOptions'=>array('style'=>'background-color:#ccccb3; font-weight:normal; font-size:1.1em;'),
        ),           
           
        /* 'prezzounitario', */
        
        array('name'=>'reparto', 
		'htmlOptions'=>array('style'=>'vertical-align:top;'),
		'header'=>'avanzam.','type' =>'raw','value'=>function($data,$row){
                $reparto = '';
                if($data->grafica) {
                    $reparto = 'Grafica';
                }
                
                if($data->montaggio) {
                    $reparto = 'Montaggio';
                }
                
                if($data->stampa) {
                    $reparto = 'Stampa';
                }
                
                if($data->confezione) {
                    $reparto = 'Confezione';
                }
                
                return $reparto;
                
        },'headerHtmlOptions'=>array('style'=>'background-color:#ccccb3; font-weight:normal; font-size:1.1em;'),),
        array( 
          'name'=>'tipologialavoro',
          'header'=>'stato',
		  'htmlOptions'=>array('style'=>'text-align:right; vertical-align:top;'),
          'headerHtmlOptions'=>array('style'=>'background-color:#ccccb3; font-weight:normal; font-size:1.1em;'),
        ), 
           
  
			
	),
  'summaryText'=>'',
  
  'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
   ), 
)); 




?>

</div>
</td>
</tr>
</table>
<!--
<footer>
<b class="smallfont">Note bene:</b>  
<div><?php echo $model->nota; ?></div>
<div style="text-align: center;">
41100 Modena - ITALY - Via Emilia Est, 1741 (Ponte S.Ambrogio) - Tel. 059/28.03.11 - Fax 059/28.08.41<br />
www.sigem.it - www.pinfo.it - www.naturamente.it
</div>
</footer>
--> 	

<?php $this->endWidget(); ?>
</div><!-- form --> 




<script>
function GetChar(e) { 
    if(e.which == 13) {   e.stopImmediatePropagation();  }
}



function openMyDialog(myurl, handler) {
 
  $.ajax({
    type: "POST",
    url: myurl,
    dataType: 'json',
  }).done(function( data ) {
          

   $('#lavori-ext-form :input').each(function(){ 
      $(this).val('');
   });
   
   $(':input,select option', '#lavori-ext-form').removeAttr('checked').removeAttr('selected');
   // Seleziona il primo valore della select
   $('select option:first', '#lavori-ext-form').attr('selected',true);
      
       if(data.grafica == '1') {
          $('#lavori-ext-form #Lavori_grafica').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_grafica').val(data.grafica);
       $('#lavori-ext-form #ytLavori_grafica').val(data.grafica);
       $('#lavori-ext-form #Lavori_grafstato').val(data.grafstato);
       $('#lavori-ext-form #Lavori_grafdove').val(data.grafdove);
       $('#lavori-ext-form #Lavori_grafrientro').val(data.grafrientro);
       $('#lavori-ext-form #Lavori_grafgrafico').val(data.grafgrafico);      
       $('#lavori-ext-form #Lavori_grafore').val(data.grafore);      
       $('#lavori-ext-form #Lavori_grafnote').val(data.grafnote);      
       $('#lavori-ext-form #Lavori_grafinvio').val(data.grafinvio); 
       
       
       if(data.montaggio  == '1') {
          $('#lavori-ext-form #Lavori_montaggio').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_montaggio').val(data.grafica);
       $('#lavori-ext-form #ytLavori_montaggio').val(data.grafica);
       $('#lavori-ext-form #Lavori_monstato').val(data.monstato);
       $('#lavori-ext-form #Lavori_mondove').val(data.mondove);
       $('#lavori-ext-form #Lavori_monrientro').val(data.monrientro);
       $('#lavori-ext-form #Lavori_monlastre').val(data.monlastre);
       $('#lavori-ext-form #Lavori_monore').val(data.monore);
       $('#lavori-ext-form #Lavori_MonNote').val(data.MonNote);
       $('#lavori-ext-form #Lavori_moninvio').val(data.moninvio); 
       
       
       
       if(data.stampa == '1') {
          $('#lavori-ext-form #Lavori_stampa').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_stampa').val(data.stampa);
       $('#lavori-ext-form #ytLavori_stampa').val(data.stampa);
       $('#lavori-ext-form #Lavori_stamstato').val(data.stamstato);
       $('#lavori-ext-form #Lavori_stamdove').val(data.stamdove);
       $('#lavori-ext-form #Lavori_stamrientro').val(data.stamrientro);
       $('#lavori-ext-form #Lavori_stammacchina').val(data.stammacchina);
       $('#lavori-ext-form #Lavori_stamtecnico').val(data.stamtecnico);
       $('#lavori-ext-form #Lavori_stamore').val(data.stamore);
       $('#lavori-ext-form #Lavori_stamnote').val(data.stamnote);
       $('#lavori-ext-form #Lavori_staminvio').val(data.staminvio); 
       
       
       if(data.confezione == '1') {
          $('#lavori-ext-form #Lavori_confezione').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_confezione').val(data.confezione);
       $('#lavori-ext-form #ytLavori_confezione').val(data.confezione);
       $('#lavori-ext-form #Lavori_confstato').val(data.confstato);
       $('#lavori-ext-form #Lavori_confdove').val(data.confdove);
       $('#lavori-ext-form #Lavori_confrientro').val(data.confrientro);
       $('#lavori-ext-form #Lavori_confore').val(data.confore);      
       $('#lavori-ext-form #Lavori_confnote').val(data.confnote);      
       $('#lavori-ext-form #Lavori_confinvio').val(data.confinvio);      



      
      $(handler).parent().parent().after('<tr><td colspan="10">' + $('#lavori-ext-form').html() + '</td></tr>');
      var a = $(handler).parent().parent().next().tabs();
      
       // fix the classes

    $( ".tabs-bottom .ui-tabs-nav, .tabs-bottom .ui-tabs-nav > *" ).removeClass( "ui-corner-all ui-corner-top" ).addClass( "ui-corner-bottom" );
    
    if(data.grafica == '1') {
     $(handler).parent().parent().next().tabs("option", "active", 0);
    }
    
    
    if(data.montaggio  == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 1);
    }
    
    if(data.stampa == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 2);
    }
    
    if(data.confezione == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 3);
    }


      
      $(handler).removeClass('plus');
      $(handler).addClass('minus');
  
      $(handler).unbind();
      $(handler).click(function() {

          $(handler).parent().parent().next().slideUp();
          $(this).removeClass('minus');
          $(this).addClass('plus');
          $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/plus.png" ?>\' border=\'0\' />');
          $(handler).unbind();
          $(handler).click(function() { openMyDialog(this.href, this); return false; });
          return false;
      });
      $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/minus.png" ?>\' border=\'0\' />');
      
     
  });
   
   
}

</script>
