<?php
/* @var $this OrdiniController */
/* @var $model Ordini */

$this->breadcrumbs=array(
	'Ordini'=>array('index'),
	'Manage',
);

$this->menu=array(
	//array('label'=>'List Ordini', 'url'=>array('index')),
	//array('label'=>'Create Ordini', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#ordini-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h3 style="padding:0; margin:0 0;">Resoconto Ordini Attivi</h3>

 

 <?php
 $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'ordini-grid',
    'rowHtmlOptionsExpression'=>'$data->consegnatassativa?array(\'style\'=>\'background-color:#f57b56;\'):""',
	'dataProvider'=>$dataProvider,
	'filter'=>$model,
	'selectableRows'=>1,
	'selectionChanged'=>'function(id){ fetchLavori($.fn.yiiGridView.getSelection(id));}',	
	'columns'=>array(
		/*'id',*/
		/*'codcliente',*/
    /* array('name'=>'codcliente', 'header'=>'Nome Ditta','type' =>'raw', 'htmlOptions'=>array('style'=>'font-weight:bold;'), 'value' => array($model,'renderNomeDitta')), */
    array('name'=>'idordine', 'header'=>'ID Ordine', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width:30px;'), 'value'=>'$data->idordine' ),
    array('name'=>'relcliente.nomeditta', 'type' =>'raw','value'=>'CHtml::link($data->relcliente->nomeditta, Yii::app()->createUrl("ordini/updatenuovoordine", array("id"=>$data->idordine)))'),
	array('name'=>'dataconsegna', 'header'=>'Data Consegna','type' =>'raw','htmlOptions'=>array('style'=>'width: 100px;'),'value'=>'date("d/m/Y",strtotime($data->dataconsegna))'),	
    array('name'=>'stato', 'header'=>'Stato', 'type'=>'raw','htmlOptions'=>array('style'=>'width: 80px;'), 'value'=>'$data->stato' ),
    'tipologiaordine',
    'nota',
    /* array('name'=>'datainserimento', 'header'=>'Data Inserimento','type' =>'raw','htmlOptions'=>array('style'=>'width: 115px;'),'value'=>'date("d M Y - H:i",strtotime($data->datainserimento))'), */
	array('name'=>'esportato', 'type'=>'raw', 'value'=>'($data->esportato==0)?"No":"Si"'),
	array('name'=>'archivio' , 'type'=>'raw', 'value'=>'($data->archivio==0)?"No":"Si"'),	
    array('name'=>'post_count', 'header'=>'n.Lavori'),
	array('name'=>'consegnatassativa' , 'type'=>'raw', 'value'=>'($data->consegnatassativa==0)?"No":"Si"'),	
		/*
		'tipoconsegna',
		'dapreventivare',
		
		'documento',
		'dataconsegnato',
		'agente',
		'consegnatassativa',
		'costotrasporto',
		'archivio',
		'iddocref',
		'firma',
		'visprezzi',
		'vistotali',
		'esportato',
		'tipologiaordine',
		*/
		array(
			'class'=>'CButtonColumn',
       'buttons'=>array
      (
        'update' => array
        (
            'label'=>'Modifica Ordine',
            'url'=>'Yii::app()->createUrl("ordini/updatenuovoordine", array("id"=>$data->idordine))',
        ),
      ),
		),
	),
  'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
  'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
   ),
)); ?>
<script>
function fetchLavori(myid) {
	//alert("recupero lavori per ordine:" + myid);
	myurl = '<?php echo Yii::app()->createUrl("ordini/fetchlavori", array("id"=>'')) ; ?>' +myid;
	//alert("Elaborazione in corso");
	$.ajax({
		type: "POST",
		url: myurl,
	}).done(function(data){
		$('#divLavori').html(data);
		$('#divLavori tr:odd').css( "background-color", "#F8F8F8" );
		$('#divLavori tr:even').css( "background-color", "#E5F1F4" );
		
		//alert("Lavori recuperati");
		//$.fn.yiiGridView.update('ordini-grid');
	});	
}
</script>
