<?php
/* @var $this OrdiniController */
/* @var $model Ordini */

$this->breadcrumbs=array(
	'Ordini'=>array('index'),
	'Gestione',
);



Yii::app()->clientScript->registerScript('search', "
	$('.search-button').click(function(){
		$('.search-form').toggle();
		return false;
	});
	$('.search-form form').submit(function(){
		$('#ordini-grid').yiiGridView('update', {
			data: $(this).serialize()
		});
		return false;
	});
	$('.classebottone').click(function(){
		alert($(this).attr('testo'));
		return false;
	});	
");

?>

<style>
.myview table.items tr.even {background: #F8F8F8;}
.myview table.items tr.odd  {background: #E5F1F4;}
</style>

<?php 


$this->renderPartial('_searchconsegne',array(
	'model'=>$model,
)); 



$this->renderPartial('_rendergriddefault',array(
	'model'=>$model,
  'dataProvider'=>$dataProvider,
)); 
 /*
$this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'ordini-grid',
	//'rowHtmlOptionsExpression'=>'1?array(\'style\'=>\'background-color:#f57b56;\'):""',
	'dataProvider'=>$dataProvider,
	'filter'=>$model,
	'columns'=>array(
		'idordine',
		array('name'=>'relcliente.nomeditta','header'=>'Cliente','type' =>'raw','htmlOptions'=>array('style'=>'width: 250px;') , 'filter'=>CHtml::textField('clienti', Yii::app()->request->getParam('clienti'))),
		array('name'=>'dataconsegna', 'header'=>'Data Consegna','type' =>'raw','htmlOptions'=>array('style'=>'width: 115px;'),'value'=>'date("d/M/Y",strtotime($data->dataconsegna))'),
		array('name'=>'datainserimento', 'header'=>'Data Inserimento','type' =>'raw','htmlOptions'=>array('style'=>'width: 115px;'),'value'=>'date("d/M/Y",strtotime($data->datainserimento))'),
		array('header'=>'Referente&nbsp;&nbsp;&nbsp;', 'type' =>'raw', 'htmlOptions'=>array('style'=>'width:150px;'),'value'=>'Clienti::renderReferenteByPk($data->codcliente)'),
		'tipoconsegna',

		array('name'=>'costotrasporto', 'header' => 'Costo trasp.',  'type'=>'raw', 'htmlOptions'=>array('style'=>'width:30px;'), 'value'=>'($data->costotrasporto>0)?$data->costotrasporto." &euro;":""'),
		array('name'=>'esportato', 'header'=>'Esport.', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width:30px;'), 'value'=>'($data->esportato==0)?"NO":"SI"'),
		//array('name'=>'relcliente.nomeditta','header'=>'Cliente','type' =>'raw','htmlOptions'=>array('style'=>'width: 200px;'),'value'=>"isset($data->relcliente)?$data->relcliente->nomeditta:''"),
		//array('name'=>'relcliente.nomeditta', 'type' =>'raw','value'=>'CHtml::link($data->relcliente->nomeditta, Yii::app()->createUrl("ordini/updatenuovoordine", array("id"=>$data->idordine)))'),
		//array('header'=>'Consegnato', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width:50px;'), 'value'=>'CHtml::link("Consegna", "JavaScript:eventButtonConsegnato($data->idordine,this);", array("f"=>"a"))'), 

		array('name'=>'nota', 'type'=>'raw', 'value'=>'($data->nota=="")?"":CHtml::Button("Vedi Nota",array("id"=>"pop_".$data->idordine,"class"=>"classebottone","testo"=>$data->nota) ) '),		

		array(
			'header'=>'-',
			'class'=>'CButtonColumn',
			'template' => '{Consegnato} {Stampa} {Modifica} {Esporta}',
			'buttons'=>array (
				'Consegnato' => array (
					'label'=>'Consegna',
					'url'=>'"JavaScript:eventButtonConsegnato($data->idordine,this)"',
					'imageUrl'=>'images/consegna.png',
					),
				'Stampa' => array (
					'label'=>'Stampa',
					'url'=>'"JavaScript:eventButtonStampa($data->idordine,this)"',
					'imageUrl'=>'images/stampa.png',
					),
				'Modifica' => array (
					'label'=>'Modifica',
					'url'=>'"JavaScript:eventButtonModifica($data->idordine,this)"',
					'imageUrl'=>'images/modifica.png',
					),					
				'Etichetta' => array (
					'label'=>'Stampa Etichetta',
					'url'=>'"JavaScript:eventButtonEtichetta($data->idordine,this)"',
					'imageUrl'=>'images/shipping.png',
					),
          'Esporta' => array (
					'label'=>'Esporta Ordine',
					'url'=>'Yii::app()->createUrl("ordini/exportordine", array("id"=>"$data->idordine"))',
          'options'=>array('class'=>'esportabutton'), 
					'imageUrl'=>'images/shipping.png',
					),					
				),
			),
	
	),
	'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
	'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
	),
)
);   */
             //<?php echo Yii::app()->createUrl('lavori/changestatusfine',array('id'=>$data->id)); 
?>

<script>
function eventButtonConsegnato(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/changestatusfine", array("id"=>'')) ; ?>' +myid;
	var  formData = {"id":"myid"};
	alert("Elaborazione in corso");
	$.ajax({
		type: "POST",
		url: myurl,
		//data: formData
	}).done(function(data){
		alert("Elaborazione completata con esito: " + data);
		$.fn.yiiListView.update('listview-grid');
	});
}

function eventButtonStampa(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/printordinepdf", array("id"=>'')) ; ?>' +myid;
	open(myurl);
}

function eventButtonModifica(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/updatenuovoordine", array("id"=>'')) ; ?>' +myid;
	open(myurl);
}

function eventButtonEtichetta(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/printetichettapdf", array("id"=>'')) ; ?>' +myid;
	open(myurl);
}

function eventButtonEsporta(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/exportordine", array("id"=>'')) ; ?>' +myid;
	$.ajax({
		type: "POST",
		url: myurl,
	}).done(function(data){
		//alert("Esportazione eseguita con successo");
    document.location = data;
		//$.fn.yiiListView.update('listview-grid');
	});
}




 $('.esportabutton').on('click',function(e) {
        e.preventDefault();
        //alert(this.href);
        
        location.href = this.href;
        setTimeout(function(){ $('#ordini-grid').yiiGridView('update'); }, 2000);
        
    });



</script>