<?php
/* @var $this OrdiniController */
/* @var $model Ordini */

$this->breadcrumbs=array(
	'Resoconto Ordini Attivi'=>array('indexordiniattivi'),
	'Gestione',
);



Yii::app()->clientScript->registerScript('search', "
	$('.search-button').click(function(){
		$('.search-form').toggle();
		return false;
	});
	$('.search-form form').submit(function(){
		$('#ordini-grid').yiiGridView('update', {
			data: $(this).serialize()
		});
		return false;
	});
	$('.classebottone').click(function(){
		alert($(this).attr('testo'));
		return false;
	});	
");

?>

<style>
.myview table.items tr.even {background: #F8F8F8;}
.myview table.items tr.odd  {background: #E5F1F4;}
</style>

<h3 style="margin:0; padding:0;">Ordini Consegnati</h3>

<?php 

$this->renderPartial('_rendergriddefault',array(
	'model'=>$model,
	'dataProvider'=>$dataProvider,
)); 
 
?>

<script>
function eventButtonConsegnato(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/changestatusfine", array("id"=>'')) ; ?>' +myid;
	var  formData = {"id":"myid"};
	alert("Elaborazione in corso");
	$.ajax({
		type: "POST",
		url: myurl,
		//data: formData
	}).done(function(data){
		alert("Elaborazione completata con esito: " + data);
		$.fn.yiiListView.update('listview-grid');
	});
}

function eventButtonStampa(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/printordinepdf", array("id"=>'')) ; ?>' +myid;
	open(myurl);
}

function eventButtonModifica(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/updatenuovoordine", array("id"=>'')) ; ?>' +myid;
	open(myurl);
}

function eventButtonEtichetta(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/printetichettapdf", array("id"=>'')) ; ?>' +myid;
	open(myurl);
}

function eventButtonEsporta(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/exportordine", array("id"=>'')) ; ?>' +myid;
	$.ajax({
		type: "POST",
		url: myurl,
	}).done(function(data){
		//alert("Esportazione eseguita con successo");
    document.location = data;
		//$.fn.yiiListView.update('listview-grid');
	});
}




 $('.esportabutton').on('click',function(e) {
        e.preventDefault();
        //alert(this.href);
        
        location.href = this.href;
        setTimeout(function(){ $('#ordini-grid').yiiGridView('update'); }, 2000);
        
    });



</script>