<?php
/* @var $this OrdiniController */
/* @var $model Ordini */

$this->breadcrumbs=array(
	'Ordini da preventivare'=>array('preventivare'),
	'Gestione',
);


Yii::app()->clientScript->registerScript('preventivare', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#ordini-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});

$('.classebottone').click(function(){
	alert($(this).attr('testo'));
	return false;
});


");
?>
<h3>Resoconto Ordini Da Preventivare</h3>
<div id="divLavori"></div>
<?php

$this->renderPartial('_rendergriddefault',array(
	'model'=>$model,
  'dataProvider'=>$dataProvider,
)); 

 /*
 $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'ordini-grid',
    'rowHtmlOptionsExpression'=>'$data->consegnatassativa?array(\'style\'=>\'background-color:#f57b56;\'):""',
	'dataProvider'=>$dataProvider,//$model->searchPreventivare(),
	'filter'=>$model,
	'selectableRows'=>1,
	'selectionChanged'=>'function(id){ fetchLavori($.fn.yiiGridView.getSelection(id));}',
	'columns'=>array(
   array('name'=>'idordine', 'header'=>'ID Ordine', 'type'=>'raw', 'htmlOptions'=>array('style'=>'width:30px;'), 'value'=>'$data->idordine' ),
   array('name'=>'relcliente.nomeditta','header'=>'Cliente','type' =>'raw','htmlOptions'=>array('style'=>'width: 250px;') , 'filter'=>CHtml::textField('clienti', Yii::app()->request->getParam('clienti'))),	
   array('name'=>'dataconsegna', 'header'=>'Data Consegna','type' =>'raw','htmlOptions'=>array('style'=>'width: 100px;'),'value'=>'date("d/m/Y",strtotime($data->dataconsegna))'),
   array('name'=>'stato', 'header'=>'Stato', 'type'=>'raw','htmlOptions'=>array('style'=>'width: 80px;'), 'value'=>'$data->stato' ),
   array('name'=>'tipologiaordine', 'header'=>'Tipologia', 'type'=>'raw','htmlOptions'=>array('style'=>'width: 80px;'), 'value'=>'$data->tipologiaordine' ),	
   array('name'=>'esportato', 'type'=>'raw','htmlOptions'=>array('style'=>'width: 50px;'), 'value'=>'($data->esportato==0)?"No":"Si"'),
	 array('name'=>'archivio' , 'type'=>'raw','htmlOptions'=>array('style'=>'width: 50px;'), 'value'=>'($data->archivio==0)?"No":"Si"'),	
	 array('name'=>'consegnatassativa' , 'type'=>'raw', 'htmlOptions'=>array('style'=>'width: 50px;'), 'value'=>'($data->consegnatassativa==0)?"No":"Si"'),	
   array('name'=>'post_count', 'header'=>'n.Lavori', 'htmlOptions'=>array('style'=>'width: 50px;'), 'value'=>'$data->post_count'),
	 array('name'=>'nota', 'type'=>'raw','htmlOptions'=>array('style'=>'width: 150px;'), 'value'=>'substr($data->nota, 0, 34)' ),
   array(
		'header'=>'-',	
		'class'=>'CButtonColumn',
		'template' => '{Update} {Preventivato}',		
        'buttons'=>array
			(
			'Update' => array
				(
				'label'=>'Modifica Ordine',
				'url'=>'Yii::app()->createUrl("ordini/updatenuovoordine", array("id"=>$data->idordine))',
				'imageUrl'=>'images/modifica.png',				
				),
			'Preventivato' => array (
				'label'=>'Segna come Preventivato',
				'url'=>'"JavaScript:eventButtonPreventivato($data->idordine,this)"',
				'imageUrl'=>'images/consegna.png',
				),
				
			),
		),
	),
  'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
  'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
   ),
)); */?>
<script>
function eventButtonPreventivato(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/changestatuspreventivato", array("id"=>'')) ; ?>' +myid;
	var  formData = {"id":"myid"};
	//alert("Elaborazione in corso");
	$.ajax({
		type: "POST",
		url: myurl,
		//data: formData
	}).done(function(data){
		alert("Ordine preventivato con esito: " + data);
		$.fn.yiiGridView.update('ordini-grid');
	});
}


function fetchLavori(myid) {
	//alert("recupero lavori per ordine:" + myid);
	myurl = '<?php echo Yii::app()->createUrl("ordini/fetchlavori", array("id"=>'')) ; ?>' +myid;
	//alert("Elaborazione in corso");
	$.ajax({
		type: "POST",
		url: myurl,
	}).done(function(data){
		$('#divLavori').html(data);
		$('#divLavori tr:odd').css( "background-color", "#F8F8F8" );
		$('#divLavori tr:even').css( "background-color", "#E5F1F4" );
		
		//alert("Lavori recuperati");
		//$.fn.yiiGridView.update('ordini-grid');
	});	
}
</script>
