<?php
/* @var $this TipipagamentoController */
/* @var $model Tipipagamento */

$this->breadcrumbs=array(
	'Tipi pagamento'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'Lista Tipi Pagamento', 'url'=>array('index')),
	array('label'=>'Crea Tipi Pagamento', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#tipipagamento-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Tipi Pagamento</h1>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'tipipagamento-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'id',
		'nome',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
