<?php
Yii::import('zii.widgets.grid.CButtonColumn');
class SButtonColumn extends CButtonColumn
{
        protected function renderDataCellContent($row,$data)
        {
                $tr=array();
                ob_start();
                foreach($this->buttons as $id=>$button)
                {
					
						if(isset($id) && $id == 'pronto') {
							if(isset($data->stato) && $data->stato == 'Pronto') {
								$button['options'] = array('class'=>'nonpronto','style'=>'width: 16px;');
								$button['imageUrl'] = Yii::app()->request->baseUrl.'/images/clock_green.png';
							} 
						}
						
						if(isset($id) && $id == 'Consegnato') {
							if(isset($data->stato) && $data->stato == 'Pronto') {
								$button['imageUrl'] = 'images/consegna.png';
							} else {
								$button['imageUrl'] = 'images/consegna_opaco.png';
								$button['url'] = function($data,$row) { return 'js:;'; };
							}
						}
						
						
                        $this->renderButton($id,$button,$row,$data);
                        $tr['{'.$id.'}']=ob_get_contents();
                        ob_clean();
                }
                ob_end_clean();
                echo strtr($this->template,$tr);
        }
}

?>