<?php
/* @var $this ClientiController */
/* @var $model Clienti */
/* @var $form CActiveForm */
?>



<div class="form">
<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'clienti-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>
	<?php echo $form->errorSummary($model); ?>
 
  <div class="rounded10" style="max-width:100%; width: 98%; background-color: #eeeeee; border: 1px solid #cccccc; padding: 10px;">
  <table width="100%">
  <tr>
  <td>
  <div class="row2">
  		<?php echo $form->labelEx($model,'idcliente'); ?>
  		<?php echo $form->textField($model,'idcliente',array('readonly'=>true)); ?>
  		<?php echo $form->error($model,'idcliente'); ?>
  </div>
  </td>
  <td>
	<div class="row2">
		<div style="margin-top:20px; margin-bottom:20px;">
		<?php 
		$this->widget('zii.widgets.jui.CJuiButton', array(
			'buttonType'=>'submit',
			'name'=>'button3',
			'caption'=>$model->isNewRecord ? 'Crea' : 'Salva',
			'value'=>$model->isNewRecord ? 'Crea' : 'Salva',
			'htmlOptions'=>array('class'=>'btn btn-success'),
		));
		echo '&nbsp;'; 
		echo CHtml::link(
		 '<img src="images/cestino.png" alt="Cancella '.$model->nomeditta.'" title="Cancella '.$model->nomeditta.'" width="30" />',
		 array('clienti/delete','id'=>$model->id),
		 array('confirm' => 'Sei sicuro di volere eliminare questo Cliente ?')
		); 
		?>
		</div>
	  </div>
  </td>
  </tr>
  
  <tr>
  <td>
	  <div class="row2">
		<?php echo $form->labelEx($model,'nomeditta'); ?>
		<?php echo $form->textField($model,'nomeditta',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'nomeditta'); ?>
	  </div>
  </td>
  <td>
  <div class="row2">
  		 <?php echo $form->labelEx($model,'pagamento'); ?>
       <?php echo $form->dropDownList($model,'pagamento',Tipipagamento::getOptions(),array('style'=>"width: 335px")); ?>
       <?php echo $form->error($model,'pagamento'); ?>
  </div>
  </td>
  </tr>

  <tr>
  <td>
	<div class="row2"> 
		<?php echo $form->labelEx($model,'indirizzo'); ?>
		<?php echo $form->textField($model,'indirizzo',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'indirizzo'); ?>

		<table>
		<tr>
		<td style="padding: 0px 10px 0px 0px;">
		  <div class="row2">
			<?php echo $form->labelEx($model,'cap'); ?>
			<?php echo $form->textField($model,'cap',array('size'=>5,'maxlength'=>5)); ?>
			<?php echo $form->error($model,'cap'); ?>
		  </div>
		</td>
		<td style="padding: 0px 10px 0px 0px;">
		  <div class="row2">
			<?php echo $form->labelEx($model,'citta'); ?>
			<?php echo $form->textField($model,'citta',array('size'=>30,'maxlength'=>30)); ?>
			<?php echo $form->error($model,'citta'); ?>
		  </div>
		   
		</td>
		<td style="padding: 0px 10px 0px 0px;">
		<div class="row2">
			<?php echo $form->labelEx($model,'provincia'); ?>
			<?php echo $form->textField($model,'provincia',array('size'=>2,'maxlength'=>2)); ?>
			<?php echo $form->error($model,'provincia'); ?>
		  </div>
		</td>
		</tr>
		<tr>
		 
		  <td style="padding: 0px 10px 0px 0px;">
		  <div class="row2">
				<?php echo $form->labelEx($model,'piva'); ?>
				<?php echo $form->textField($model,'piva',array('size'=>30,'maxlength'=>30)); ?>
				<?php echo $form->error($model,'piva'); ?>
			</div>
		  </td>
		  <td style="padding: 0px 10px 0px 0px;">
			<div class="row2">
				<?php echo $form->labelEx($model,'codfiscale'); ?>
				<?php echo $form->textField($model,'codfiscale',array('size'=>30,'maxlength'=>16)); ?>
				<?php echo $form->error($model,'codfiscale'); ?>
			</div>
		  </td>
		  </tr>
		  <tr>	  
		  
		  <td style="padding: 0px 10px 0px 0px;" colspan="2">
			<div class="row2">
				<?php echo $form->labelEx($model,'referente'); ?>
				<?php echo $form->textField($model,'referente',array('size'=>60,'maxlength'=>60)); ?>
				<?php echo $form->error($model,'referente'); ?>
			</div>
		  </td>
		  </tr>
		  </table>
	</div>
  </td>
  <td style="vertical-align:top;">
  
  <div id="datibanca" style=" padding:10px;">
	  <table>
	  <tr>
	  <td>
		<div class="row2">
		<?php echo $form->labelEx($model,'banca'); ?>
			<!-- Andrea 30/10/2014 - propongo un elenco di banche -->
			<?php echo $form->textField($model,'banca',array('size'=>25,'maxlength'=>50)); ?>
			<?php //echo $form->dropDownList($model,'banca',Banche::getOptions(),array('empty'=>'','style'=>'width:150px;')); ?>
			
			<?php echo $form->error($model,'banca'); ?>
		</div>
	  </td>
	  <td>
		<div class="row2">
			<?php echo $form->labelEx($model,'agenzia'); ?>
			<?php echo $form->textField($model,'agenzia',array('size'=>25,'maxlength'=>50)); ?>
			<?php echo $form->error($model,'agenzia'); ?>
		</div>
	  </td> 
	  </tr>
	  <tr>
	  <td>
		<div class="row2">
			<?php echo $form->labelEx($model,'abi'); ?>
			<?php echo $form->textField($model,'abi',array('size'=>10,'maxlength'=>50)); ?>
			<?php echo $form->error($model,'abi'); ?>
		</div>
	  </td>
	  <td>
		<div class="row2">
			<?php echo $form->labelEx($model,'cab'); ?>
			<?php echo $form->textField($model,'cab',array('size'=>10,'maxlength'=>50)); ?>
			<?php echo $form->error($model,'cab'); ?>
		</div>
	  </td>
	  </tr>
	  </table>
	  
  </div>
   <table>
      <tr>
      <td>
      	<div class="row2">
      		<?php echo $form->labelEx($model,'emai'); ?>
      		<?php echo $form->textField($model,'emai',array('size'=>40,'maxlength'=>255)); ?>
      		<?php echo $form->error($model,'emai'); ?>
      	</div>
	   </td>
	   <td>
        <div class="row2">
      		<?php echo $form->labelEx($model,'riceveemail'); ?>
          <?php echo CHtml::activeDropDownList($model, 'riceveemail', array(0=>'NO',1=>'SI'),array('style'=>'width:60px')); ?>      
      		<?php echo $form->error($model,'riceveemail'); ?>
      	</div>
		</td>
      </tr>
      </table>  
  </td>
  </tr>
  
  <tr>
  <td>

      <table>
      <tr>
      <td>
		<div class="row2">
			<?php echo $form->labelEx($model,'cellulare'); ?>
			<?php echo $form->textField($model,'cellulare',array('size'=>60,'maxlength'=>255)); ?>
			<?php echo $form->error($model,'cellulare'); ?>
		</div>
		<div class="row2">
			<?php echo $form->labelEx($model,'telefono'); ?>
			<?php echo $form->textField($model,'telefono',array('size'=>60,'maxlength'=>255)); ?>
			<?php echo $form->error($model,'telefono'); ?>
		</div> 
      </td>
      </tr>
      </table>  	
  </td>
  <td style="vertical-align:top;">
     
  </td>
  </tr>
  
  <tr>
  <td>
  	<div class="row2">
  		<?php echo $form->labelEx($model,'fax'); ?>
  		<?php echo $form->textField($model,'fax',array('size'=>60,'maxlength'=>255)); ?>
  		<?php echo $form->error($model,'fax'); ?>
  	</div>  
  </td>
  <td>
  	<div class="row2">
  		<?php echo $form->labelEx($model,'internet'); ?>
  		<?php echo $form->textField($model,'internet',array('size'=>60,'maxlength'=>255)); ?>
  		<?php echo $form->error($model,'internet'); ?>
  	</div>  
  </td>
  </tr>
  
  <tr>
  <td>

  </td>
  <td>
  <table>
  <tr>
  <td>
    <div class="row2">
      <?php echo '<div class="input-prepend">'; ?>
      <?php echo(CHtml::label('Costo trasporto', 'costotrasporto')); ?>
      <?php echo '<span class="add-on">&euro;</span>'; ?>
      <!-- <?php echo(CHtml::textField('costotrasporto')); ?> -->
	  <?php echo $form->textField($model,'costotrasporto',array('size'=>40,'maxlength'=>40,'pattern'=>'[0-9]+\.[0-9]{2}','value'=>$model->costotrasporto?$model->costotrasporto:'0.00'));  ?>
      <?php echo '</div>'; ?>
  		<?php echo $form->error($model,'costotrasporto'); ?>
  	</div>

    <div class="row2">
  		<?php echo $form->labelEx($model,'tipoconsegna'); ?>
  		<!-- <?php echo $form->textField($model,'tipoconsegna',array('size'=>40,'maxlength'=>40)); ?> -->
        <?php echo $form->dropDownList($model,'tipoconsegna',Tipispedizione::getOptions(),array('style'=>"width: 335px")); ?>		

	    <?php echo $form->error($model,'tipoconsegna'); ?>
	  </div>
  </td>
  </tr>
  </table>   
  </td>
  </tr>
  <tr>
  <td colspan="2">
  <table>
  <tr>
  <td>
  	<div class="row2">
  		<?php echo $form->labelEx($model,'note'); ?>
      <?php echo $form->textArea($model,'note',array('rows'=>6, 'cols'=>50,'maxlength'=>200)); ?>
  		<?php echo $form->error($model,'note'); ?>
  	</div>
  </td>
  <td>




</td>
  </tr>
  </table>  
  </td>
  </tr>                 
  </table>
  </div>

<?php $this->endWidget(); ?>

</div><!-- form -->

