<?php
/* @var $this DipendentiController */
/* @var $model Dipendenti */

$this->breadcrumbs=array(
	'Dipendenti'=>array('admin'),
	'Gestione',
);

$this->menu=array(
	array('label'=>'Crea Dipendente', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#dipendenti-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>
<style>
.grid-view {
    padding: 0px 0;
}
</style>
<table style="margin:0; padding:0; line-height:5px;"><tr><td><h3>Gestione Dipendenti</h3></td><td>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="btn btn-success" value="Crea Nuovo Dipendente" onclick="location.href='index.php?r=dipendenti/create';"/></td></tr></table>


<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'dipendenti-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
	),
	'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
	'columns'=>array(
		array('name'=>'IDdipendente', 'header'=>'ID','type' =>'raw','htmlOptions'=>array('style'=>'width: 40px;')),	
		'Nome',
		'Reparto',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
