<?php
/* @var $this FornitoriController */
/* @var $model Fornitori */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'fornitori-form',
	'enableAjaxValidation'=>false,
)); ?>


  <?php echo $form->errorSummary($model); ?>
  <div class="rounded10" style="width: 98%; background-color: #eeeeee; border: 1px solid #cccccc; padding: 10px;">
  <table width="100%">
  <tr>
  <td>
	<div class="row2">
		<?php echo $form->labelEx($model,'IDfornitore'); ?>
		<?php echo $form->textField($model,'IDfornitore',array('readonly'=>true)); ?>
		<?php echo $form->error($model,'IDfornitore'); ?>
	</div>
  </td>
  <td>
	<div class="row2">
		<div style="margin-top:20px; margin-bottom:20px;">
		<?php 
		$this->widget('zii.widgets.jui.CJuiButton', array(
		'buttonType'=>'submit',
			'name'=>'button3',
			'caption'=>$model->isNewRecord ? 'Crea' : 'Salva',
			'value'=>$model->isNewRecord ? 'Crea' : 'Salva',
			'htmlOptions'=>array('class'=>'btn btn-success'),

		));
		echo '&nbsp;'; 
		echo CHtml::link(
		 '<img src="images/cestino.png" alt="Cancella '.$model->Nome.'" title="Cancella '.$model->Nome.'" width="30" />',
		 array($model->tableName().'/delete','id'=>$model->id),
		 array('confirm' => 'Sei sicuro di volere eliminare questo record dalla tabella'.$model->tableName().' ?')
		); 
		?>
		</div>
	</div>
  </td>
  </tr>
  <tr>
  <td>
	<div class="row2">
		<?php echo $form->labelEx($model,'Nome'); ?>
		<?php echo $form->textField($model,'Nome',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'Nome'); ?>
	</div>
  </td>
  <td>
  <div class="row2">
  		 <?php echo $form->labelEx($model,'Categoria'); ?>
       <?php echo $form->dropDownList($model,'Categoria',array('Montaggio'=>'Montaggio','Confezione'=>'Confezione','Stampa'=>'Stampa','Grafica'=>'Grafica'),array('style'=>"width: 250px")); ?>
       <?php echo $form->error($model,'Categoria'); ?>
  </div>
  </td>
  </tr>
  </table>
  </div>
   
<?php $this->endWidget(); ?>

</div><!-- form -->