<?php
/* @var $this GruppiController */
/* @var $model Gruppi */

$this->breadcrumbs=array(
	'Gruppi Utenti'=>array('admin'),
	'Gestione',
);

$this->menu=array(
	array('label'=>'Crea Gruppo', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#gruppi-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h3>Gestione Gruppi</h3>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'gruppi-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati',
	'columns'=>array(
		array('name'=>'idgruppo', 'header'=>'ID','type' =>'raw','htmlOptions'=>array('style'=>'width: 30px;')),	
		'gruppo',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
