<?php
/* @var $this MontaggioController */
/* @var $model Montaggio */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'montaggio-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'data'); ?>
		<?php echo $form->textField($model,'data'); ?>
		<?php echo $form->error($model,'data'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'id_montaggio_destinatario'); ?>
		<?php echo $form->textField($model,'id_montaggio_destinatario'); ?>
		<?php echo $form->error($model,'id_montaggio_destinatario'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'id_dipendente'); ?>
		<?php echo $form->textField($model,'id_dipendente'); ?>
		<?php echo $form->error($model,'id_dipendente'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'data_consegna'); ?>
		<?php echo $form->textField($model,'data_consegna'); ?>
		<?php echo $form->error($model,'data_consegna'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'id_montaggio_stato'); ?>
		<?php echo $form->textField($model,'id_montaggio_stato'); ?>
		<?php echo $form->error($model,'id_montaggio_stato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'pdf'); ?>
		<?php echo $form->textField($model,'pdf',array('size'=>60,'maxlength'=>256)); ?>
		<?php echo $form->error($model,'pdf'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'note'); ?>
		<?php echo $form->textArea($model,'note',array('rows'=>6, 'cols'=>50)); ?>
		<?php echo $form->error($model,'note'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'id_montaggio_carta_sorgente'); ?>
		<?php echo $form->textField($model,'id_montaggio_carta_sorgente'); ?>
		<?php echo $form->error($model,'id_montaggio_carta_sorgente'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->