<?php
/* @var $this OrdiniController */
/* @var $model Ordini */
/* @var $form CActiveForm */
?>

<div class="form">

<?php 

$form=$this->beginWidget('CActiveForm', array(
	'id'=>'ordini-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'id'); ?>
		<?php echo $form->textField($model,'id'); ?>
		<?php echo $form->error($model,'id'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'idordine'); ?>
		<?php echo $form->textField($model,'idordine'); ?>
		<?php echo $form->error($model,'idordine'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'codcliente'); ?>
		<?php echo $form->textField($model,'codcliente'); ?>
		<?php echo $form->error($model,'codcliente'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'datainserimento'); ?>
		<?php echo $form->textField($model,'datainserimento'); ?>
		<?php echo $form->error($model,'datainserimento'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'dataconsegna'); ?>
		<?php echo $form->textField($model,'dataconsegna'); ?>
		<?php echo $form->error($model,'dataconsegna'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'stato'); ?>
		<?php echo $form->textField($model,'stato',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'stato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'tipoconsegna'); ?>
		<?php echo $form->textField($model,'tipoconsegna',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'tipoconsegna'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'dapreventivare'); ?>
		<?php echo $form->textField($model,'dapreventivare'); ?>
		<?php echo $form->error($model,'dapreventivare'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'nota'); ?>
		<?php echo $form->textField($model,'nota',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'nota'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'documento'); ?>
		<?php echo $form->textField($model,'documento',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'documento'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'dataconsegnato'); ?>
		<?php echo $form->textField($model,'dataconsegnato'); ?>
		<?php echo $form->error($model,'dataconsegnato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'agente'); ?>
		<?php echo $form->textField($model,'agente'); ?>
		<?php echo $form->error($model,'agente'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'consegnatassativa'); ?>
		<?php echo $form->textField($model,'consegnatassativa'); ?>
		<?php echo $form->error($model,'consegnatassativa'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'costotrasporto'); ?>
		<?php echo $form->textField($model,'costotrasporto'); ?>
		<?php echo $form->error($model,'costotrasporto'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'archivio'); ?>
		<?php echo $form->textField($model,'archivio'); ?>
		<?php echo $form->error($model,'archivio'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'iddocref'); ?>
		<?php echo $form->textField($model,'iddocref'); ?>
		<?php echo $form->error($model,'iddocref'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'firma'); ?>
		<?php echo $form->textField($model,'firma',array('size'=>60,'maxlength'=>64)); ?>
		<?php echo $form->error($model,'firma'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'visprezzi'); ?>
		<?php echo $form->textField($model,'visprezzi'); ?>
		<?php echo $form->error($model,'visprezzi'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'vistotali'); ?>
		<?php echo $form->textField($model,'vistotali'); ?>
		<?php echo $form->error($model,'vistotali'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'esportato'); ?>
		<?php echo $form->textField($model,'esportato'); ?>
		<?php echo $form->error($model,'esportato'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'tipologiaordine'); ?>
		<?php echo $form->textField($model,'tipologiaordine',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'tipologiaordine'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->