<?php
/* @var $this OrdiniController */
/* @var $model Ordini */
/* @var $form CActiveForm */
?>

<!-- <iframe id="printview" name="printview" src="index.php?r=ordini/printordine&id=<?php //echo $model->idordine; ?>" width="0" height="0" tabindex="-1" title="empty" style="display:none;" class="hidden"></iframe> -->
<!-- <a href="javascript:return false;" onclick="js:window.frames['printview'].focus(); window.frames['printview'].print();">Stampa</a> -->
<script src="http://code.jquery.com/ui/1.9.1/jquery-ui.js"></script>
<link rel="stylesheet" href="http://code.jquery.com/ui/1.9.2/themes/base/jquery-ui.css" /> 
<style>
.pronto img {
	
	width:16px;
	
}


.spinner {
  display: inline-block;
  opacity: 0;
  width: 0;

  -webkit-transition: opacity 0.25s, width 0.25s;
  -moz-transition: opacity 0.25s, width 0.25s;
  -o-transition: opacity 0.25s, width 0.25s;
  transition: opacity 0.25s, width 0.25s;
}

.has-spinner.active {
  cursor:progress;
}

.has-spinner.active .spinner {
  opacity: 1;
  width: 50px; /* This doesn't work, just fix for unkown width elements */
}

.has-spinner.btn-mini.active .spinner {
    width: 10px;
}

.has-spinner.btn-small.active .spinner {
    width: 13px;
}

.grid-view table.items tbody tr.odd:hover {
	background: #E5F1F4;
}

.grid-view table.items tbody tr.even:hover {
	background: #F8F8F8;
}

</style>
<div class="form">

<?php 

Yii::app()->clientScript->registerScript('search', "
$('.search-form form').submit(function(){
	$('#lavori-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");

Yii::app()->clientScript->registerScript('pronto', "
jQuery('a.pronto').live('click',function() {
        if(!confirm('Sei sicuro di impostare questo lavoro come Pronto per Consegna ?')) return false;
        
        var url = $(this).attr('href');
        
        $.post(url,function(res){
             $('#lavori-grid').yiiGridView('update');
			 if(res == 'alldone') {
				 $('#statoordinetop').html('Pronto');
			 }
         });
        return false;
});
");


Yii::app()->clientScript->registerScript('prontoall', "
jQuery('#prontoall').live('click',function() {
        if(!confirm('Sei sicuro di impostare questo ordine e lavori collegati come Pronto per Consegna ?')) return false;
        
        var url = $(this).attr('href');
        
        $.post(url,function(res){
             $('#lavori-grid').yiiGridView('update');
			 $('#statoordinetop').html('Pronto');
         });
        return false;
});
");





$form=$this->beginWidget('CActiveForm', array(
	'id'=>'ordini-form',
	'enableAjaxValidation'=>false,
  'action'=>'index.php?r=ordini/updatenuovoordine&id='.$model->id,
)); ?>

	<?php echo $form->errorSummary($model); echo $form->hiddenField($model,'stato'); ?>

 	<div class="row">
		<?php $arrLabel = $model->attributeLabels(); echo $arrLabel['idordine']; ?> : <b><?php echo $model->idordine; ?></b> - <?php $arrLabel = $model->attributeLabels(); echo $arrLabel['stato']; ?> : <b style="color:red;" id="statoordinetop"><?php echo $model->stato; ?></b> - Cliente: <b id="nomecliente"><?php echo $model->relcliente->nomeditta; ?></b></span>
    <?php echo $form->error($model,'stato'); ?>
    <?php echo $form->error($model,'idordine'); ?>
  </div>
  <div class="rounded10" style="width: 98%; border: 1px solid #cccccc; padding: 4px; margin-bottom: 8px;">
  <table width="100%">
  <tr>
  <td>
  	<div class="row2">
	<?php echo $form->labelEx($model,'datainserimento'); ?>
	<?php //echo $form->textField($model,'datainserimento'); ?>
    <?php 
		if(empty($model->datainserimento)) { $model->datainserimento = date('Y-m-d'); } $model->datainserimento = date("d-m-Y",strtotime($model->datainserimento));  
        $this->widget('application.components.widgets.timepicker.timepicker', array(
          'model' => $model,
          'name' => 'datainserimento',
          'id' => 'Ordini_datainserimento',
          'select'=> 'date',//Andrea  
          'options'=>array(
                      'dateFormat'=>'dd-mm-yy', 
                      'showOn'=>'focus',
					  'showSecond'=>false,
					  'parse'=>'loose',
					  'showTime'=>false,
                      'showHour'=>false,
                      'showMinute'=>false,
                      'alwaysSetTime'=>false,
					  'monthNames'=>array("Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre"),
					  'dayNamesMin'=>array("Do", "Lu", "Ma", "Me", "Gi", "Ve", "Sa"),
          ),
        ));
    ?>
	<?php echo $form->error($model,'datainserimento'); ?>
	  </div>
  </td>
  <td>
  	<div class="row2">
		<?php echo $form->labelEx($model,'dataconsegna'); ?>
    <?php 
		if(empty($model->dataconsegna)) { $model->dataconsegna = date('Y-m-d'); } $model->dataconsegna = date("d-m-Y",strtotime($model->dataconsegna));  
        $this->widget('application.components.widgets.timepicker.timepicker', array(
          'model' => $model,
          'name' => 'dataconsegna',
          'id' => 'Ordini_dataconsegna',
          'select'=> 'date',
          'options'=>array(
                      'dateFormat'=>'dd-mm-yy', 
                      'showOn'=>'focus',
					  'monthNames'=>array("Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre"),
					  'dayNamesMin'=>array("Do", "Lu", "Ma", "Me", "Gi", "Ve", "Sa"),
          ),
        ));
    ?>
		<?php echo $form->error($model,'dataconsegna'); ?>
	  </div>
  </td>
  <td>
    <div class="row2">
        <?php echo $form->labelEx($model,'agente'); ?>
        <?php echo $form->dropDownList($model,'agente',Agenti::getOptions(),array('empty'=>'','style'=>'width:200px;')); ?>
        <?php echo $form->error($model,'agente'); ?>
    </div>
  </td>
  <td>
    <div class="row2">
          <?php echo $form->labelEx($model,'tipologiaordine'); ?>
          <?php echo $form->dropDownList($model,'tipologiaordine',Tipologiaordine::getOptions(),array('empty'=>'','style'=>'width:150px;')); ?>
          <?php echo $form->error($model,'tipologiaordine'); ?>
    </div>
  </td>
  <td>
     <div class="row2">
		    <?php echo $form->labelEx($model,'archivio'); ?>
		    <?php echo $form->checkBox($model,'archivio'); ?>
		    <?php echo $form->error($model,'archivio'); ?>
	   </div>
  </td>
  <td>
    <div class="row2">
		    <?php echo $form->labelEx($model,'esportato'); ?>
		    <?php echo $form->checkBox($model,'esportato'); ?>
		    <?php echo $form->error($model,'esportato'); ?>
	  </div>
  </td>
 <td>
    <div class="row2">
  		<?php echo $form->labelEx($model,'consegnatassativa'); ?>
      <?php echo $form->checkBox($model,'consegnatassativa'); ?>
  		<?php echo $form->error($model,'consegnatassativa'); ?>
	  </div>
  </td>
  <td>
    <div class="row2">
		<?php echo $form->labelEx($model,'dapreventivare'); ?>
		<?php echo $form->checkBox($model,'dapreventivare'); ?>    
		<?php echo $form->error($model,'dapreventivare'); ?>
	  </div>
  </td> 
  <td>
	<?php echo $model->renderButtons($model,null); ?>
  </td> 
 <td>&nbsp;</td>
  
  </tr>
  </table>
  </div>
  
  <div id="divcliente" class="rounded10" style="position: relative; background-color: white; width: 98%; border: 1px solid #cccccc; padding: 4px; margin-bottom: 8px; z-index:3001;">
  <table width="100%">
  <tr>
      <td>
        <div class="row2">
  		  <?php echo $form->labelEx($model->relcliente,'codcliente'); ?>
        <?php 
         
    
$this->widget('ext.select2.XSelect2', array(
    'id'=>'codclienteid',
    'model'=>$model,
    'attribute'=>'codcliente',
    'options'=>array(
        'minimumInputLength'=>2,
        'ajax' => array(
            'url'=>$this->createUrl('/clienti/clientiSuggeriti'),
            'dataType'=>'json',
            'data' => "js: function(term,page) {
                return {q: term};
            }",
            'results' => "js: function(data,page){
                return {results: data};
            }",
           
        ),
        'initSelection' => "js:function (element, callback) {  
            var id=$(element).val();
            if (id!=='') {
                $.ajax('".$this->createUrl('/clienti/initjsoncliente')."', {
                    dataType: 'json',
                    data: {
                        id: id
                    }
                }).done(function(data) { callback(data[0]);});
            }
        }",
    ),
    'events'=>array(
        'change'=>"js:function (element) {
            
            var id=element.val;

            if (id!='') {
                $.ajax('".CController::createUrl('clienti/getClientebyId')."', {
                    dataType: 'json',
                    data: {
                        codcliente: id
                    }
                }).done(function(data) {
                     if(data == null) {
                $('#Clienti_referente').val('');
                $('#Clienti_pagamento').val('');
                $('#Clienti_indirizzo').val('');
                $('#Clienti_telefono').val('');
                $('#Clienti_cap').val('');
                $('#Clienti_citta').val('');
                $('#Clienti_fax').val('');
                $('#Clienti_cellulare').val('');
                $('#Clienti_piva').val('');
                $('#Clienti_codfiscale').val('');
                $('#Clienti_emai').val('');
                $('#Clienti_note').val('');
                $('#Ordini_tipoconsegna').val('');
                $('#Ordini_costotrasporto').val('');
				
				
				
				
				$.ajax({
                    'type':'post',
                    'url': $('#ordini-form').action,
                    'dataType': 'html',
					'data': $('#ordini-form').serialize(),
                    'success':function(data){
                          

                    }
				});
				
				
				$('#lavori-grid2').yiiGridView('update');
	  
	  return false;

				
				
				
				
                
              } else {
                  $('#Clienti_referente').val(data.referente);
                  $('#Clienti_pagamento').val(data.pagamento);
                  $('#Clienti_indirizzo').val(data.indirizzo);
                  $('#Clienti_telefono').val(data.telefono);
                  $('#Clienti_cap').val(data.cap);
                  $('#Clienti_citta').val(data.citta);
                  $('#Clienti_fax').val(data.fax);
                  $('#Clienti_cellulare').val('');
                  $('#Clienti_piva').val(data.piva);
                  $('#Clienti_codfiscale').val(data.codfiscale);
                  $('#Clienti_emai').val(data.emai);
                  $('#Clienti_note').val(data.note);
                  $('#Ordini_tipoconsegna').val(data.tipoconsegna);//Andrea 28/10/2014 - cambiato Clienti_tipoconsegn in Ordini_tipoconsegna
                  $('#Ordini_costotrasporto').val(parseFloat(Math.round(data.costotrasporto * 100) / 100).toFixed(2));
                  $('#nomecliente').html(data.nomeditta);
				  
				  	$.ajax({
                    'type':'post',
                    'url': $('#ordini-form').action,
                    'dataType': 'html',
					'data': $('#ordini-form').serialize(),
                    'success':function(data){
                           

                    }
				});
				
				
				$('#lavori-grid2').yiiGridView('update');
                  
                  
                  
              }
			  
			  
			  
			  
			  
			  
			  
			  
			  
			  
                });
            }
        }"
    ),
    'htmlOptions'=>array(
        'style'=>'width:405px',
        'class'=>'formclienti'

    ),
));
 
          ?>
        <?php echo $form->error($model,'codcliente'); ?>&nbsp;&nbsp;
       <?php if(Yii::app()->user->getIsAdmin()) { ?>
        <input type="button" id="modificacliente" class="btn btn-primary formclienti" style="width:80px; font-size:11px; padding-top:2px; padding-bottom:2px; padding-left:4px; padding-right:4px;" value="Modifica" onclick="javascript: abilitaModificaCliente();" /><input type="button" id="salvacliente" class="btn btn-success formclienti" style="width:80px; font-size:11px; padding-top:2px; padding-bottom:2px; padding-left:4px; padding-right:4px; display: none;" value="Salva" onclick="javascript: salvaFormCliente();" />
	   <?php } ?>
        </div>
      </td>
      <td>
        <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'referente'); ?>
    		<?php echo $form->textField($model->relcliente,'referente',array('style'=>'width:315px;','maxlength'=>255,'readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'referente'); ?>
        
        
    		<?php echo $form->hiddenField($model->relcliente,'id',array('class'=>'formclienti')); ?>
        
        
    	  </div>
      </td>
      <td>
        <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'pagamento'); ?>
    		<?php echo $form->textField($model->relcliente,'pagamento',array('style'=>'width:144px;','readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'pagamento'); ?>
    	  </div>
      </td> 
      <td rowspan="3" style="vertical-align:top;">
        <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'note'); ?>
    		<?php echo $form->textArea($model->relcliente,'note',array('style'=>'width:150px; height:120px;','readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'note'); ?>
    	  </div>
      </td> 
  </tr>
  <tr>
      <td>
        <table>
        <tr>
        <td>
          <div class="row">
      		<?php echo $form->labelEx($model->relcliente,'cap'); ?>
      		<?php echo $form->textField($model->relcliente,'cap',array('size'=>5,'maxlength'=>5,'readonly'=>true,'class'=>'formclienti')); ?>
      		<?php echo $form->error($model->relcliente,'cap'); ?>
      	  </div>
        </td>
        <td>
          <div class="row">
      		<?php echo $form->labelEx($model->relcliente,'citta'); ?>
      		<?php echo $form->textField($model->relcliente,'citta',array('size'=>25,'maxlength'=>255,'readonly'=>true,'class'=>'formclienti')); ?>
      		<?php echo $form->error($model->relcliente,'citta'); ?>
      	  </div>
        </td>
        <td>
        <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'indirizzo'); ?>
    		<?php echo $form->textField($model->relcliente,'indirizzo',array('size'=>35,'maxlength'=>255,'readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'indirizzo'); ?>
    	  </div>
        </td>
        </tr>
        </table> 
      </td>
      <td>
        <table>
        <tr>
        <td>
        <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'piva'); ?>
    		<?php echo $form->textField($model->relcliente,'piva',array('size'=>21,'maxlength'=>255,'readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'piva'); ?>
    	  </div>
        </td>
        <td>
        <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'codfiscale'); ?>
    		<?php echo $form->textField($model->relcliente,'codfiscale',array('size'=>21,'maxlength'=>255,'readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'codfiscale'); ?>
    	  </div>
        </td>
        </table>
      </td>
      <td>
        <div class="row">
        <?php echo $form->labelEx($model,'tipoconsegna'); ?>
        <?php echo $form->dropDownList($model,'tipoconsegna',Tipispedizione::getOptions(),array('empty'=>'','style'=>'width:150px;')); ?>
        <?php echo $form->error($model,'tipoconsegna'); ?>
    	  </div>
      </td>  
     
  </tr>
  <tr>
       <td>
        <table>
        <tr>
        <td>
          <div class="row">
      		<?php echo $form->labelEx($model->relcliente,'fax'); ?>
      		<?php echo $form->textField($model->relcliente,'fax',array('style'=>'width:156px;','readonly'=>true,'class'=>'formclienti')); ?>
      		<?php echo $form->error($model->relcliente,'fax'); ?>
      	  </div>
        </td>
        <td>
         <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'telefono'); ?>
    		<?php echo $form->textField($model->relcliente,'telefono',array('style'=>'width:156px;','readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'telefono'); ?>
    	  </div>
        </td>
        <td>
         <div class="row">
    		<?php echo $form->labelEx($model->relcliente,'cellulare'); ?>
    		<?php echo $form->textField($model->relcliente,'cellulare',array('style'=>'width:156px;','readonly'=>true,'class'=>'formclienti')); ?>
    		<?php echo $form->error($model->relcliente,'cellulare'); ?>
    	  </div>
        </td>
        </tr>
        </table>        
      </td>
      <td>
        <div class="row">
      		<?php echo $form->labelEx($model->relcliente,'emai'); ?>
      		<?php echo $form->textField($model->relcliente,'emai',array('style'=>'width:315px;','maxlength'=>255,'readonly'=>true,'class'=>'formclienti')); ?>
      		<?php echo $form->error($model->relcliente,'emai'); ?>
      	  </div>
      </td>
      <td>
        <div class="row">
        <div class="input-prepend">
		    <?php echo $form->labelEx($model,'costotrasporto'); ?>
			<span class="add-on">&euro;</span>
		    <?php echo $form->textField($model,'costotrasporto',array('style'=>'width:120px;')); ?>
		    <?php echo $form->error($model,'costotrasporto'); ?>
        </div>
	      </div>
      </td>  
  </tr>
  <tr>
      <td>
       
      </td>
   </tr>
  </table>
  </div>
  
  
  <div id="black_overlay"></div> 
  <div class="rounded10" style="width: 98%; border: 1px solid #cccccc; padding: 4px;  margin-bottom: 8px;">
  <table width="100%">
  <tr>
    <td> 
      <div class="row">
      <?php
          $modelarticoli = new Articoli;
          echo $form->hiddenField($modelarticoli,'idordine',array('value'=>$model->idordine));
      ?>
  <table width="100%">
  <tr>
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'cod');  ?>
       <?php echo CHtml::dropDownList('Articoli[cod]',$modelarticoli,Articoli::getOptions(),
array(
'style'=>'width:190px;',
'empty'=>'',       
'ajax' => array(
'type'=>'POST', //request type
'dataType'=>'json',
'url'=>CController::createUrl('articoli/getArticolobyCodice'), //url to call.
'success'=>"function(data) {

     if(data == null) {
        $('#Articoli_descrizione').val('');
        $('#Articoli_unita').val('');
        $('#Articoli_quantita').val('');
        $('#Articoli_prezzounitario').val('');
     } else {
        $('#Articoli_descrizione').val(data.descrizione);
        $('#Articoli_unita').val(data.unitamisura);
        $('#Articoli_quantita').val(data.conteggio);
        $('#Articoli_prezzounitario').val(data.prezzounitario);
     }
          
 }",
)));
?>
       <?php echo $form->error($modelarticoli,'cod'); ?>
    	</div>
    </td>
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'descrizione');  ?>
       <?php echo $form->textField($modelarticoli,'descrizione',array('size'=>25,'maxlength'=>230,'style'=>'width: 230px;')); ?>
       <?php echo $form->error($modelarticoli,'descrizione'); ?>
    	</div>
    </td>
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'unita');  ?>
       <?php echo $form->dropDownList($modelarticoli, 'unita',Unita::getOptions(),array('style'=>'width:95px;','options' => array('N' => array('selected' => 'selected')))); ?>
       <?php echo $form->error($modelarticoli,'unita'); ?>
    	</div>
    </td>
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'quantita');  ?>
       <?php echo $form->textField($modelarticoli,'quantita',array('size'=>2,'maxlength'=>20,'style'=>'width:65px;')); ?>
       <?php echo $form->error($modelarticoli,'quantita'); ?>
    	</div>
    </td>
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'prezzounitario');  ?>
       <?php echo $form->textField($modelarticoli,'prezzounitario',array('size'=>2,'maxlength'=>20)); ?>
       <?php echo $form->error($modelarticoli,'prezzounitario'); ?>
    	</div>
    </td>
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'reparto');  ?>
       <?php echo $form->dropDownList($modelarticoli, 'reparto',array('1'=>'Grafica','2'=>'Montaggio','3'=>'Stampa','4'=>'Confezione'),array('style'=>'width:150px;')); ?>
       <?php echo $form->error($modelarticoli,'reparto'); ?>
    	</div>
    </td>
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'tipologialavoro');  ?>
       <?php echo $form->dropDownList($modelarticoli, 'tipologialavoro',Tipologialavoro::getOptions(),array('style'=>'width:150px;','options' => array('Tipografia' => array('selected' => 'selected')))); ?>
       <?php echo $form->error($modelarticoli,'tipologialavoro'); ?>
    	</div>
    </td> 
    <td> 
      <div class="row">
       <?php echo $form->labelEx($modelarticoli,'sconto');  ?>
       <?php echo $form->textField($modelarticoli,'sconto',array('value'=>'0','size'=>3,'maxlength'=>20)); ?>
       <?php echo $form->error($modelarticoli,'sconto'); ?>
    	</div>
    </td>
    <?php if(Yii::app()->user->getIsAdmin()) { ?>
    <td>
	
	<br />
      <?php
          echo CHtml::ajaxSubmitButton(
            'Aggiungi', 
            $this->createAbsoluteUrl('lavori/createfromordini'),                
             
            array (
                'type'=>'POST',
                'success'=>'js:function(data){
					
					$("#lavori-grid").yiiGridView("update"); 
					
					
					$("#lavori-grid2").yiiGridView("update"); 
				
					$("#Articoli_cod").val(""); $("#Articoli_descrizione").val(""); $("#Articoli_unita").val("N"); $("#Articoli_quantita").val(""); $("#Articoli_prezzounitario").val(""); $("#Articoli_reparto").val(""); $("#Articoli_tipologialavoro").val("Tipografia"); $("#Articoli_sconto").val("0"); }',  //{ data: $(this).serialize() }); return false; }    
                ), 
            array('class'=>'btn btn-success')
          );
     ?>
	
    </td>
    <td><br /><a href="#" id="searchlavorifatti"><img src="./images/search.png" width="20" /></a></td>
	<?php } ?> 
  </tr>
  </table>
  
  <div id="layerLavori" style="display:none;">
  <?php
      
        
        
            /*$criteria = new CDbCriteria();
            $criteria->condition = 'codcliente=:codcliente';
            $criteria->order = 'datainserimento desc';
            $criteria->params = array(':codcliente'=>$model->codcliente);
            $allordini = Ordini::model()->findAll($criteria);*/
            
            $miohtml = '';
            $trovato = 0;
            $miohtml = '<div class="grid-view"><table id="tabLavori" cellpadding="2" cellspacing="1" border="0" width="100%" class="items"><tr><th><b>Data</b></th><th><b>Cod</b></th><th><b>Lavoro</b></th><th><b>Qt&agrave;</b></th><th><b>Prezzo</b></th><th><b>Sconto</b></th><th><b>Tot.</b></th><th>&nbsp;</th></tr>';
            $cont = 0;
            $class = 'odd';
			
			$idsordini = array();
			
           // foreach($allordini as $singleordine) {
                //$this->actionfetchlavoriForAutocomplete($singleordine->idordine);
                //if($singleordine->archivio != '1' && $singleordine->dapreventivare != '1') {
                    //$lavori = Lavori::model()->findAll('idordine =:id',array(':id'=> ));
					
					///$idsordini[] = $singleordine->idordine;
					
					
					
					
                    /*foreach($lavori as $lavoro) {
                      if($cont % 2 == 0) { $class = 'odd'; } else { $class = 'even'; }
    		            	$trovato = 1;
    		              $miohtml = $miohtml . "<tr class='".$class."'><td>".date('d/m/Y',strtotime($singleordine->datainserimento))."</td><td>".$lavoro->cod."</td><td>".substr($lavoro->descrizione,0,80)."</td><td style='text-align:right;'>$lavoro->quantita</td><td>$lavoro->prezzounitario</td><td>".$lavoro->sconto."</td><td>".round($lavoro->quantita*$lavoro->prezzounitario - ($lavoro->quantita*$lavoro->prezzounitario*$lavoro->sconto/100),2)."</td><td width='30' align='center'></td></tr>";
                      $cont++;
    		            } */
               // }
           // }
			
			

            
			
			
					$modellav = new Lavori;
					if(isset($_GET['Lavori'])) {
						$modellav->attributes=$_GET['Lavori'];
					}
					//$modellav->idsordini = $idsordini;
					
					$lavoriDp = $modellav->searchLavoripopup($model->codcliente);

					
					
					$ccc = $this->widget('zii.widgets.grid.CGridView', array(
						'id'=>'lavori-grid2',
						'dataProvider'=>$lavoriDp,
						'filter'=>$modellav,
						'ajaxUpdate'=>true,
						'afterAjaxUpdate'=>'addOrderEventHandler', 
						'summaryText'=>'<b>Lavori trovati: <span style="color:red;">{count}</span></b>',
						'htmlOptions'=>array('style'=>'cursor: pointer;'),
						'columns'=>array(
							array('name'=>'relordine.datainserimento','header'=>'Data','type'=>'raw','htmlOptions'=>array('style'=>'width:100px;'), 'value'=>function($data) { return date('d-m-Y',strtotime($data->relordine->datainserimento)); }),														
							array('name'=>'relordine.dapreventivare','header'=>'', 'type'=>'raw', 'htmlOptions'=>array('style'=>'text-align:center; max-width:10px; font-weight:bold; width:10px;'),'value'=>function($data) { if($data->relordine->dapreventivare || ($data->relordine->archivio == "0" && $data->relordine->dapreventivare == "0" && $data->relordine->stato=="Attesa")) { return 'P';} else { return 'O'; }}), 								
							array('name'=>'cod','type'=>'raw','htmlOptions'=>array('style'=>'width:150px;')),														
							'descrizione',
							array('name'=>'quantita','type'=>'raw','htmlOptions'=>array('style'=>'width:70px;')),							
							array('name'=>'unita','header'=>'Unita','type'=>'raw','htmlOptions'=>array('style'=>'width:70px;')),							
							array('name'=>'prezzounitario','header'=>'prezzo','type'=>'raw','htmlOptions'=>array('style'=>'width:50px;')),							
							array('name'=>'idordine','header'=>'','type'=>'raw','htmlOptions'=>array('style'=>'width:20px; text-align:center;'),'value'=>function($data) { return "<a href='#' class='addorder' id='".$data->idlavoro."'><i class='icon-share'></i></a>"; })
						),
						
						'template'=>"{summary}{pager}\n{items}\n{pager}", 
						
					)
				); 
			
			
			
			
			
			
			
            //$miohtml = $miohtml . '</table></div>';
            /*if ($trovato == 1) {
			       echo $miohtml;
		        } else {
			       echo '';
		        }*/
            

       
		
		?>
  </div>
  
</div>
</td>
</tr>
<tr>
    <td>
    <?php
    
    $modellav = new CActiveDataProvider('Lavori',array(
        'pagination' => array ('PageSize' => 50,),
        
        'criteria' => array(
            'select' => 't.*',
            'condition' => 'idordine=:id', 
            'params' => array("id" => $model->idordine), 
            
        ),
    ));
 
    
    $this->widget('zii.widgets.grid.CGridView', array(
	   'id'=>'lavori-grid',
	   'dataProvider'=>$modellav,
	   'selectableRows'=>0,
	   'columns'=>array(
       
        array(
		 'class'=>'CButtonColumn',
         'template'=>'{update}&nbsp;&nbsp;&nbsp;&nbsp;{stampa}<br /><br />{pronto}&nbsp;&nbsp;&nbsp;&nbsp;{delete}',
          'buttons'=>array
          (
            'update' => array
            (
                'imageUrl'=>Yii::app()->request->baseUrl.'/images/plus.png', /* Yii::app()->request->baseUrl.'/images/plus.png', */
                'label'=>'Aggiorna Lavoro',
                'url'=>'Yii::app()->createUrl(\'lavori/loadjsonmodel\',array(\'id\'=>$data->id));',
                'click'=>'js:function(){  eventButtonUpdate(this.href); return false;}',  //openMyDialog(this.href, this);
                'options' =>array( 'class'=>'plus'),
				'visible'=> 'Yii::app()->user->getIsAdmin()?1:0',
			),
			'stampa' => array
            (
                'imageUrl'=>Yii::app()->request->baseUrl.'/images/stampa.png', 
                'label'=>'Stampa Etichetta',
                'url'=>'Yii::app()->createUrl(\'lavori/printetichettapdf\',array(\'id\'=>$data->idlavoro));',
				'options' =>array( 'target'=>'_blank'),
				'visible'=> 'Yii::app()->user->getIsAdmin()?1:0',
            ),
			'pronto' => array
            (
                'imageUrl'=>Yii::app()->request->baseUrl.'/images/clock.png', 
                'label'=>'Pronto per consegna',
                'url'=>'Yii::app()->createUrl(\'lavori/setStatusFinito\',array(\'id\'=>$data->idlavoro));',
				'options' =>array( 'class'=>'pronto', 'target'=>'_blank','style'=>'width: 10px;'),
				'visible'=> 'Yii::app()->user->getIsAdmin()?1:0',
            ),
			'delete'=>array(
				'visible'=> 'Yii::app()->user->getIsAdmin()?1:0',
				'label'=>'Elimina',
				'url'=>'Yii::app()->createUrl(\'lavori/delete\',array(\'id\'=>$data->idlavoro));',
				
			),
          ),
		  'htmlOptions'=>array('style'=>'text-align:center; width: 30px;'),
		    ),
		
        array( 
          'name'=>'cod',
          'htmlOptions'=>array('style'=>'width: 120px;'),
        ), 
        array( 
          'name'=>'descrizione',
          'type' =>'raw',
          'value'=>function($data,$row) {
              return CHtml::activeTextArea($data, 'descrizione',array('style'=>'width:98%; height:80px;','onblur' => CHtml::ajax(array('url' => CController::createUrl('/lavori/updatedescrizione',array('id'=>$data->id)),'type' => 'POST', 'data' => array('Lavori[descrizione]' =>'js:$(this).val()'),'success' => "js:console.log('ok')"))));
          }
        ),       
        array( 
          'name'=>'unita',
          'header'=>'unita',
          'htmlOptions'=>array('style'=>'width: 85px;'),
          'type' =>'raw',
          'value'=>function($data,$row){
          
              return CHtml::dropDownList('Lavori[unita]', $data->unita , Unita::getOptions() ,array('style' => 'width:80px; font-size:0.9em;','onchange' => CHtml::ajax(array('url' => CController::createUrl('/lavori/updatesconto',array('id'=>$data->id)),'type' => 'POST', 'data' => array('Lavori[unita]' =>'js:$(this).val()'),'success' => "js:console.log('ok')"))));
          },
        ), 
        array( //TextBox --- Displays quantity
          'header'=>'Qt.&agrave;',
          'name'=>'quantita',
          'value'=>'CHTML::activeTextField($data,\'quantita\',array( \'style\'=>\'width:40px; font-size: 0.9em; padding:0px; margin-bottom:0px;\', \'onblur\' => CHtml::ajax(array(\'url\' => CController::createUrl(\'/lavori/updatesconto\',array(\'id\'=>$data->id)),\'type\' => \'POST\', \'data\' => array(\'Lavori[quantita]\' =>\'js:$(this).val()\'),\'success\' => "js:$.fn.yiiGridView.update(\'lavori-grid\')"))))',
          'type'=>'raw',
          'htmlOptions'=>array('style'=>'width: 45px;'),
        ),

        array( //TextBox --- Displays quantity
          'header'=>'prezzo u.',
          'name'=>'prezzounitario',
          'value'=>'CHTML::activeTextField($data,\'prezzounitario\',array( \'style\'=>\'width:50px; font-size: 0.9em; padding:0px; margin-bottom:0px;\', \'onblur\' => CHtml::ajax(array(\'url\' => CController::createUrl(\'/lavori/updatesconto\',array(\'id\'=>$data->id)),\'type\' => \'POST\', \'data\' => array(\'Lavori[prezzounitario]\' =>\'js:$(this).val()\'),\'success\' => "js:$.fn.yiiGridView.update(\'lavori-grid\')"))))',
          'type'=>'raw',
          'htmlOptions'=>array('style'=>'width: 55px;'),
        ),        
		
		
		
        array('name'=>'reparto', 'header'=>'Reparto','type' =>'raw', 'htmlOptions'=>array('style'=>'width: 85px;'),
              'value'=>function($data,$row){
        
                $reparto = '';
                if($data->grafica) {
                    $reparto = 'Grafica';
                }
                
                if($data->montaggio) {
                    $reparto = 'Montaggio';
                }
                
                if($data->stampa) {
                    $reparto = 'Stampa';
                }
                
                if($data->confezione) {
                    $reparto = 'Confezione';
                }
                
                return CHtml::dropDownList('Lavori[reparto]', $reparto, array(''=>'','Grafica' => 'Grafica', 'Montaggio' => 'Montaggio', 'Stampa'=>'Stampa', 'Confezione'=>'Confezione'),array('style' => 'width:80px; font-size:0.9em;','onchange' => CHtml::ajax(array('url' => CController::createUrl('/lavori/updatesconto',array('id'=>$data->id)),'type' => 'POST', 'data' => array('Lavori[reparto]' =>'js:$(this).val()'),'success' => "js:console.log('ok')"))));
                
                //return $reparto;
                
        },),
        array( 
          'name'=>'tipologialavoro',
          'header'=>'Tip.Lavoro',
          'type' =>'raw',
          'value'=>function($data,$row){
          
              return CHtml::dropDownList('Lavori[tipologialavoro]', $data->tipologialavoro , Tipologialavoro::getOptions() ,array('style' => 'width:85px; font-size:0.9em;','onchange' => CHtml::ajax(array('url' => CController::createUrl('/lavori/updatesconto',array('id'=>$data->id)),'type' => 'POST', 'data' => array('Lavori[tipologialavoro]' =>'js:$(this).val()'),'success' => "js:console.log('ok')"))));
          },
          'htmlOptions'=>array('style'=>'width: 80px;'),
        ), 
        array( //TextBox --- Displays quantity
          'header'=>'Sconto %',
          'footer'=>'Totale :',
          'name'=>'sconto',
          'value'=>'CHTML::activeTextField($data,\'sconto\',array( \'style\'=>\'width:35px; font-size: 0.9em; padding:0px; margin-bottom:0px;\', \'onblur\' => CHtml::ajax(array(\'url\' => CController::createUrl(\'/lavori/updatesconto\',array(\'id\'=>$data->id)),\'type\' => \'POST\', \'data\' => array(\'Lavori[sconto]\' =>\'js:$(this).val()\'),\'success\' => "js:$.fn.yiiGridView.update(\'lavori-grid\')"))))',
          'type'=>'raw',
          'htmlOptions'=>array('style'=>'width: 40px;'),
        ),
        
        array('name'=>'totale','footer'=>'<b>&euro; '.$model->getTotals($model->idordine).'</b>', 'header'=>'Totale','type' =>'raw','footerHtmlOptions'=>array('style'=>'text-align:right; vertical-align:top;'),'htmlOptions'=>array('style'=>'width: 65px; text-align:right;'),'value'=>function($data,$row){
                return '<b>&euro; '.number_format((float)($data->quantita*$data->prezzounitario - ($data->quantita*$data->prezzounitario*$data->sconto/100)),2,'.','').'</b>';
        },),
        array( 
          'header'=>'stato',
          'name'=>'stato',
          'type'=>'raw',
          'htmlOptions'=>array('style'=>'width: 45px; text-align: center; font-weight:bold;'),
        ),      
        

            
  
			
	),
  'summaryText'=>'',
  
  'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
   ), 
)); 




?>
    
    </td>
  </tr>
  </table>
  </div>
  
    <div class="rounded10" style="width: 98%; border: 1px solid #cccccc; padding: 4px;">
    <table width="100%">
    <tr>
    <td>
    <div class="row">
  		<?php echo $form->labelEx($model,'nota'); ?>
  		<?php echo $form->textField($model,'nota',array('maxlength'=>255,'style'=>'width:99%;')); ?>
  		<?php echo $form->error($model,'nota'); ?>
  	</div>
    </td>
    </tr>
    </table>
	</div>
	
	<!-- 
	  <td>
    <div class="row">
  		<?php //echo $form->labelEx($model,'documento'); ?>
  		<?php //echo $form->textField($model,'documento',array('size'=>10,'maxlength'=>255)); ?>
  		<?php //echo $form->error($model,'documento'); ?>
  	</div>
    </td>
    <td>
  	<div class="row">
  		<?php //echo $form->labelEx($model,'dataconsegnato'); ?>
  		<?php //echo $form->textField($model,'dataconsegnato'); ?>
  		<?php //echo $form->error($model,'dataconsegnato'); ?>
  	</div>
    </td>
    <td>
    <div class="row">
  		<?php //echo $form->labelEx($model,'iddocref'); ?>
  		<?php //echo $form->textField($model,'iddocref'); ?>
  		<?php //echo $form->error($model,'iddocref'); ?>
  	</div>
    </td>
    <td>
  	<div class="row">
  		<?php //echo $form->labelEx($model,'firma'); ?>
  		<?php //echo $form->textField($model,'firma',array('size'=>5,'maxlength'=>64)); ?>
  		<?php //echo $form->error($model,'firma'); ?>
  	</div>  
    </td>
    <td>
  	<div class="row">
  		<?php //echo $form->labelEx($model,'visprezzi'); ?>
  		<?php //echo $form->textField($model,'visprezzi',array('size'=>3,'maxlength'=>64)); ?>
  		<?php //echo $form->error($model,'visprezzi'); ?>
  	</div>
    </td> 
    <td>
    <div class="row">
  		<?php //echo $form->labelEx($model,'vistotali'); ?>
  		<?php //echo $form->textField($model,'vistotali',array('size'=>3,'maxlength'=>64)); ?>
  		<?php //echo $form->error($model,'vistotali'); ?>
  	</div>
    </td>   
	-->
  
  
  	<footer>
        <div class="subnav navbar navbar-fixed-bottom" style="background-color: #808080;">
            <div class="navbar-inner">
                <div class="container">
                <div class="row2 buttons">
		
    
    <?php 
     
  $lastId = Yii::app()->db->createCommand('SELECT id FROM ordini ORDER BY id DESC LIMIT 1')->queryScalar();
  $firstId = Yii::app()->db->createCommand('SELECT id FROM ordini ORDER BY id ASC LIMIT 1')->queryScalar();

  if($model->id != '0') {
      echo CHtml::link(
           '<img src="images/first.png" alt="Inizio" title="Inizio" style="width: 30px;"/>',
           array('ordini/updatenuovoordine','id'=>$firstId)
      );
  }

  if($model->id != '0') {
  
      if($model->getPreviousId()) {
        echo CHtml::link(
           '<img src="images/previous.png" alt="Indietro" title="Indietro" style="width: 30px;"/>',
           array('ordini/updatenuovoordine','id'=>$model->getPreviousId())
        );
      } else {
         echo CHtml::link(
           '<img src="images/previous.png" alt="Indietro" title="Indietro" style="width: 30px;"/>',
           array('ordini/updatenuovoordine','id'=>$model->id)
         );
      
      }
      
      
  }

  ?>
  <?php if(Yii::app()->user->getIsAdmin()) { ?>
	<input type="button" onclick="js:location.href='<?php echo Yii::app()->createUrl('ordini/nuovoordine'); ?>';" value="Nuovo" />
  <?php } ?>
  
  
<?php  
     
  if($model->getNextId()) {
    echo CHtml::link(
       '<img src="images/next.png" alt="Avanti" title="Avanti" style="width: 30px;"/>',
       array('ordini/updatenuovoordine','id'=>$model->getNextId())
    );
  } else {
    echo CHtml::link(
       '<img src="images/next.png" alt="Avanti" title="Avanti" style="width: 30px;"/>',
       array('ordini/updatenuovoordine','id'=>$model->id)
    );
  }
  
 
  echo CHtml::link(
       '<img src="images/last.png" alt="Fine" title="Fine" style="width: 30px;"/>',
       array('ordini/updatenuovoordine','id'=>$lastId)
  );
  
  ?>
   <?php if(Yii::app()->user->getIsAdmin()) { ?>
  <div style="float: right;">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Crea' : 'Salva e Esci',array('class'=>'btn btn-success')); ?>
	  <?php
  echo '&nbsp;'; 
  echo CHtml::link(
     '<img src="images/cestino.png" alt="Cancella questo Ordine" title="Cancella questo Ordine" width="30" />',
     array('ordini/delete','id'=>$model->id),
     array('confirm' => 'Sei sicuro di volere eliminare questo Ordine ?')
  ); 
  
?>
   <?php } ?>
    <a href="javascript:window.close();"><img src="images/exit.png" alt="Torna alla Dashboard" title="Torna alla Dashboard" style="width: 30px;"/></a>
    </div>
  </div>
</div>
</div>
</div>      
</footer>

<?php $this->endWidget(); ?>
</div><!-- form --> 

<style>

  /* force a height so the tabs don't jump as content height changes */
  .ui-dialog { z-index: 4999 !important ;}
  .ui-front { z-index: 4999 !important; }
  #tabs .tabs-spacer { float: left; height: 200px; }

  .tabs-bottom .ui-tabs-nav { clear: left; padding: 0 .2em .2em .2em; }

  .tabs-bottom .ui-tabs-nav li { top: auto; bottom: 0; margin: 0 .2em 1px 0; border-bottom: auto; border-top: 0; line-height: 15px; }

  .tabs-bottom .ui-tabs-nav li.ui-tabs-active { margin-top: -1px; padding-top: 1px; }
  .black_overlay{

			position: absolute;
			top: 0%;
			left: 0%;
			width: 100%;
			height: 100%;
			background-color: black;
			z-index:1001;
			-moz-opacity: 0.8;
			opacity:.80;
			filter: alpha(opacity=80); 
		}
		
		

.settoretable {
	border:1px solid #cccccc;
	padding:5px;
	margin-top:2px;
	width:100%;
}

#lavoro-update-popup {
	
	font-size:12px;
}

.loading {
    background-color: #eee;
    background-image: url('http://192.168.0.160/produzionesigem/images/ajaxSpinner.gif');
    background-position:  center center;
    background-repeat: no-repeat;
    opacity: 1;
}
.loading * {
    opacity: .8;
}

  </style>



<script>
function GetChar(e) { 
    if(e.which == 13) {   e.stopImmediatePropagation();  }
}

function addOrderEventHandler() {
	
 $('.addorder').click(function() { 
       $(".main-body").addClass("loading");
       $.ajax({
        url: 'index.php?r=ordini/loadlavorojson&id=' + this.id,
        type: "GET",
        dataType: "json",
        success: function (data) {
			//alert(data.cod);
            $('#Articoli_cod').val(data.cod);
            $('#Articoli_descrizione').val(data.descrizione);
            $('#Articoli_unita').val(data.unita);
            $('#Articoli_quantita').val(data.quantita);
            $('#Articoli_prezzounitario').val(data.prezzounitario);
            $('#Articoli_tipologialavoro').val(data.tipologialavoro);
            $('#Articoli_sconto').val(data.sconto);
            
            if(data.grafica == '1') {
                  $('#Articoli_reparto').val(1);
            }
            
            if(data.montaggio == '1') {
                  $('#Articoli_reparto').val(2);
            }
            
            if(data.stampa == '1') {
                  $('#Articoli_reparto').val(3);
            }
            
            if(data.confezione == '1') {
                  $('#Articoli_reparto').val(4);
            }
            $('#layerLavori').toggle("slow");
            
        }
      });
	  $(".main-body").removeClass("loading");
	  
}); 


}



$('#searchlavorifatti').click(function() { 

var codclienteId = $("#codclienteid").val();


$('#layerLavori').toggle("slow");
 addOrderEventHandler(); 
//var orderId = $('#Articoli_idordine').val();

/*var request = $.ajax({
  url: "index.php?r=ordini/getLastLavori",
  type: "POST",
  data: { idcliente : codclienteId },
  dataType: "html"
}).done(function( html ) {
   $( "#finestra" ).html( html );
   $('#finestra').dialog({width: "1280", height: "540" });
  
   
    
   
  });
 
 
request.fail(function( jqXHR, textStatus ) {
  alert( "Request failed: " + textStatus );
}); */


//

 });


function openMyDialog(myurl, handler) {
 
  $.ajax({
    type: "POST",
    url: myurl,
    dataType: 'json',
  }).done(function( data ) {
          

   $('#lavori-ext-form :input').each(function(){ 
      $(this).val('');
   });
   
   $(':input,select option', '#lavori-ext-form').removeAttr('checked').removeAttr('selected');
   // Seleziona il primo valore della select
   $('select option:first', '#lavori-ext-form').attr('selected',true);
      
       if(data.grafica == '1') {
          $('#lavori-ext-form #Lavori_grafica').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_grafica').val(data.grafica);
       $('#lavori-ext-form #ytLavori_grafica').val(data.grafica);
       
       $('#lavori-ext-form #Lavori_grafstato').val(data.grafstato);
       $('#lavori-ext-form #Lavori_grafdove').val(data.grafdove);
       $('#lavori-ext-form #Lavori_grafrientro').val(data.grafrientro);
       $('#lavori-ext-form #Lavori_grafgrafico').val(data.grafgrafico);      
       $('#lavori-ext-form #Lavori_grafore').val(data.grafore);      
       $('#lavori-ext-form #Lavori_grafnote').val(data.grafnote);      
       $('#lavori-ext-form #Lavori_grafinvio').val(data.grafinvio); 
       
       
       if(data.montaggio  == '1') {
          $('#lavori-ext-form #Lavori_montaggio').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_montaggio').val(data.grafica);
       $('#lavori-ext-form #ytLavori_montaggio').val(data.grafica);
       
       $('#lavori-ext-form #Lavori_monstato').val(data.monstato);
       $('#lavori-ext-form #Lavori_mondove').val(data.mondove);
       $('#lavori-ext-form #Lavori_monrientro').val(data.monrientro);
       $('#lavori-ext-form #Lavori_monlastre').val(data.monlastre);
       $('#lavori-ext-form #Lavori_monore').val(data.monore);
       $('#lavori-ext-form #Lavori_MonNote').val(data.MonNote);
       $('#lavori-ext-form #Lavori_moninvio').val(data.moninvio); 
       
       
       
       if(data.stampa == '1') {
          $('#lavori-ext-form #Lavori_stampa').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_stampa').val(data.stampa);
       $('#lavori-ext-form #ytLavori_stampa').val(data.stampa);
       $('#lavori-ext-form #Lavori_stamstato').val(data.stamstato);
       $('#lavori-ext-form #Lavori_stamdove').val(data.stamdove);
       $('#lavori-ext-form #Lavori_stamrientro').val(data.stamrientro);
       $('#lavori-ext-form #Lavori_stammacchina').val(data.stammacchina);
       $('#lavori-ext-form #Lavori_stamtecnico').val(data.stamtecnico);
       $('#lavori-ext-form #Lavori_stamore').val(data.stamore);
       $('#lavori-ext-form #Lavori_stamnote').val(data.stamnote);
       $('#lavori-ext-form #Lavori_staminvio').val(data.staminvio); 
       
       
       if(data.confezione == '1') {
          $('#lavori-ext-form #Lavori_confezione').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_confezione').val(data.confezione);
       $('#lavori-ext-form #ytLavori_confezione').val(data.confezione);
       
       $('#lavori-ext-form #Lavori_confstato').val(data.confstato);
       $('#lavori-ext-form #Lavori_confdove').val(data.confdove);
       $('#lavori-ext-form #Lavori_confrientro').val(data.confrientro);
       $('#lavori-ext-form #Lavori_confore').val(data.confore);      
       $('#lavori-ext-form #Lavori_confnote').val(data.confnote);      
       $('#lavori-ext-form #Lavori_confinvio').val(data.confinvio);      



      
      $(handler).parent().parent().after('<tr><td colspan="10">' + $('#lavori-ext-form').html() + '</td></tr>');
      var a = $(handler).parent().parent().next().tabs();
      
       // fix the classes

    $( ".tabs-bottom .ui-tabs-nav, .tabs-bottom .ui-tabs-nav > *" ).removeClass( "ui-corner-all ui-corner-top" ).addClass( "ui-corner-bottom" );
    
    if(data.grafica == '1') {
     $(handler).parent().parent().next().tabs("option", "active", 0);
    }
    
    
    if(data.montaggio  == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 1);
    }
    
    if(data.stampa == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 2);
    }
    
    if(data.confezione == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 3);
    }


      
      $(handler).removeClass('plus');
      $(handler).addClass('minus');
  
      $(handler).unbind();
      $(handler).click(function() {

          $(handler).parent().parent().next().slideUp();
          $(this).removeClass('minus');
          $(this).addClass('plus');
          $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/plus.png" ?>\' border=\'0\' />');
          $(handler).unbind();
          $(handler).click(function() { openMyDialog(this.href, this); return false; });
          return false;
      });
      $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/minus.png" ?>\' border=\'0\' />');
      
      
      
     
  });
   
   
}

function abilitaModificaCliente() {

     
    $("#modificacliente").hide();
    $("#salvacliente").show();
    $("input").prop("disabled", true);
    $("select").prop("disabled", true);
    $("textarea").prop("disabled", true);
    $(".formclienti").each(function() { 
        $(this).prop("disabled", false);
        $(this).prop("readonly", false);
    });
    
    $("#black_overlay").addClass( "black_overlay" );
    
    $("#Clienti_referente").focus();

}


function disabilitaModificaCliente() {

    $("#modificacliente").show();
    $("#salvacliente").hide();
    $("input").prop("disabled", false);
    $("select").prop("disabled", false);
    $("textarea").prop("disabled", false);
    $(".formclienti").each(function() { 

        if(this.id == 'codclienteid' || this.id == 's2id_codclienteid') {
          
        } else {
          $(this).prop("disabled", true);
        }
    });
    
    $('#modificacliente').prop("disabled",false);
    $("#black_overlay").removeClass( "black_overlay" );
    

}





function salvaFormCliente() {


  
       
  var requestcliente = $.ajax({
  url: "index.php?r=clienti/update&id=" + $('#Clienti_id').val(),
  type: "POST",
  data: $( '#ordini-form' ).serialize(),
  dataType: "html"
}).done(function( html ) {
  
      disabilitaModificaCliente();
   
});
 
 
requestcliente.fail(function( jqXHR, textStatus ) {
  alert( "Request failed: " + textStatus );
});
       
       
       
       
       
       

}


</script>


<div id="finestra" title="Storico lavori" style="z-index:4999;">
   
</div>




<?php 
$modellav_void = new Lavori;
?>


<?php
$this->beginWidget('zii.widgets.jui.CJuiDialog', array(
    'id'=>'lavoro-update-popup',
    'options'=>array(
        'title'=>'Dettagli Lavoro',
        'autoOpen'=>false,
        'modal'=>true,
        'height'=>'567',
        'width'=>'620',
        'closeOnEscape' => true,
        /* 'close'=>'js:function(event, ui) { updateEditForm(jQuery("#idaz").val()); }', */
    ),
));
  
    $this->widget('ext.select2.XSelect2', array(
    'id'=>'codautocomplete',
    'model'=>$modellav_void,
    'attribute'=>'cod',
    'options'=>array(
        'minimumInputLength'=>1,
        'ajax' => array(
            'url'=>$this->createUrl('/articoli/articoliSuggeriti'),
            'dataType'=>'json',
            'data' => "js: function(term,page) {
                return {q: term};
            }",
            'results' => "js: function(data,page){
                return {results: data};
            }",
           
        ),
        'initSelection' => "js:function (element, callback) {  
            var id=$(element).val();
            if (id!=='') {
                $.ajax('".$this->createUrl('/articoli/initjsonarticolo')."', {
                    dataType: 'json',
                    data: {
                        id: id
                    }
                }).done(function(data) { callback(data[0]);});
            }
        }",
    ),
    'events'=>array(
        'change'=>"js:function (element) {
            
            var id=element.val;

            if (id!='') {
                $.ajax('".CController::createUrl('articoli/getArticolobyIdJson')."', {
                    dataType: 'json',
                    data: {
                        cod: id
                    }
                }).done(function(data) {
                     if(data == null) {
                          $('#Lavori_descrizione').val('');
                          $('#Lavori_unita').val('');
                          $('#Lavori_quantita').val('');
                          $('#Lavori_cod').val('');
                          $('#Lavori_prezzounitario').val('');
                     } else {
                          $('#Lavori_descrizione').val(data.descrizione);
                          $('#Lavori_unita').val(data.unitamisura);
                          $('#Lavori_quantita').val(data.conteggio);
                          $('#Lavori_cod').val(data.cod);
                          $('#Lavori_prezzounitario').val(data.prezzounitario);
                     }
                });
            }
        }"
    ),
    'htmlOptions'=>array(
        'style'=>'width:200px;'
    ),
)); 
?>  
    <input type="button" class="btn btn-primary" name="prontoperconsegna" id="prontoperconsegna" value="Pronto per consegna"  />&nbsp;<input type="button" class="btn btn-success" name="salvaesci" id="salvaesci" value="Salva e Esci" />
<div id="maincontainer"></div>
<?php
$this->endWidget('zii.widgets.jui.CJuiDialog');  
?>
<script>
$( document ).ready(function() {
	
	
	
	$('a, button').click(function() {
		$(this).toggleClass('active');
	});

	
	$('#inviaemailbutton').click(function() { 

		$.post('<?php echo Yii::app()->createUrl("ordini/inviapreventivo"); ?>', $( "#sendpreventivoform" ).serialize()).done(function() {
			$('#callbackstatus').html('<a class="btn btn-large btn-success" href="#"><i class="icon-ok"></i> OK</a> Preventivio inviato con successo');
			$('#inviaemailbutton').toggleClass('active');
			$('#inviaemailbutton').css('display','none');
			$.fn.yiiGridView.update('ordini-grid');
			
		}).fail(function() {
			$('#callbackstatus').html('<i class="icon-ban-circle" style="color:red;"></i> Errore invio - contattare amministratore');
			$('#inviaemailbutton').toggleClass('active');
			$('#inviaemailbutton').css('display','none');
		});
		
		return false;
	
	
	});	
	
	
	
	
	
	
	$('#salvaesci').click(function(e) {
		e.preventDefault();
		$.ajax({
			type: "POST",
			url: "index.php?r=lavori/updateAjax&id=" + $('#tempid').val(),
			data: $('#lavori-ext-form').serialize(),
		}).done(function( msg ) {
			$('#lavori-grid').yiiGridView('update');
			$('#lavoro-update-popup').dialog("close");
			
		});
	});
	
	$('#prontoperconsegna').click(function(e) {
		e.preventDefault();
		$.ajax({
			type: "POST",
			url: "index.php?r=lavori/setStatusFinito&id=" + $('#tempid').val(),
		}).done(function( msg ) {
			//$.fn.yiiListView.update('');
			$('#lavori-grid').yiiGridView('update');
			if(msg == 'alldone') {
				 $('#statoordinetop').html('Pronto');
			}
			$('#lavoro-update-popup').dialog("close");
			
			
		});
	});
	
	
	$('.esportabutton').on('click',function(e) {
        e.preventDefault();
        //alert(this.href);
        if(confirm('Sei sicuro di voler esportare questo ordine ?')) {
			
			var jqxhr = $.get( this.href, function() {
				location.reload();

				
			}).fail(function() {
				alert( "errore" );
			});
			
		}
		
		return false;
        
    });
	
	
	
	
});


function eventButtonUpdate(target_id) {
	  var myid = getURLParameter('id',target_id);
      $.ajax({
                    'type':'get',
                    'url':"<?php echo $this->createUrl('lavori/updatelavoropopup'); ?>&id=" + myid,
                    'dataType': 'html',
                    'success':function(data){
                            jQuery('#maincontainer').html(data);
                            
                            jQuery('#lavoro-update-popup').dialog("open");

                    }
      });
} 


function getURLParameter(name,url) {
  return decodeURIComponent((new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(url)||[,""])[1].replace(/\+/g, '%20'))||null
}


function eventButtonPreventivo(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/printpdfpreventivo", array("id"=>'')) ; ?>' +myid;
	open(myurl);
	
}

function eventButtonStampa(myid, handler) {
	myurl = '<?php echo Yii::app()->createUrl("ordini/printordinepdf", array("id"=>'')) ; ?>' +myid;
  open(myurl);
	
}
  
</script>


<!-- Modal -->
<div id="previewEmail" style="z-index:3002;" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<form id="sendpreventivoform" method="POST">
<input type="hidden" name="modalid" id="modalid" value="" />
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
    <h3 id="myModalLabel">Riepilogo Email da Inviare</h3>
  </div>
  <div class="modal-body">
    <p>Invio preventivo a: <span id="modalnomeaz" style="font-weight:bold;"></span></p><br />
	<p>Referente: <span id="modalreferente" style="font-weight:bold;"></span></p><br />
	<p>Email: <input type="text" id="modalemail" name="modalemail" value="" style="width:50%;" /><br />
	<p>Allegato preventivo: <a href="#" id="modalurl" target="_blank"><b>Vedi</b></a></p><br />
	<p id="callbackstatus"></p>
  </div>
  <div class="modal-footer">
    <button class="btn" data-dismiss="modal" aria-hidden="true" id="chiudipopup">Chiudi</button>
    <button class="btn btn-success has-spinner" id="inviaemailbutton">
		<span class="spinner"><i class="icon-spin icon-refresh"></i></span>
		Invia Email
	</button>
  </div>
</form>
</div>





