<?php
/* @var $this OrdiniController */
/* @var $model Ordini */
/* @var $form CActiveForm */
?>

<style>
body {
  font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 0.9em;
}


.datisigem {
  font-size:0.7em;
  text-align:justify;
  text-justify:inter-word;
}


.fontsmall {
  font-size:0.8em;
}


.fontverysmall {
  font-size:0.7em;
}


footer {
margin-bottom: 0px;
overflow: visible;
bottom:0;
position:absolute;
}


</style>
<div class="form">

<?php 



$form=$this->beginWidget('CActiveForm', array(
	'id'=>'ordini-form',
	'enableAjaxValidation'=>false,
)); ?>

	<?php echo $form->errorSummary($model); ?>
<table width="100%">
<tr>
  <td width="60%" align="center" valign="top"><img src="<?php echo Yii::app()->request->baseUrl.'/images/logo-sigem.png'; ?>" border="0" /></td>
  <td width="40%" align="justify" valign="top" class="datisigem"><b>GRAFICHE SIGEM srl</b><br />Sede Legale, Amministrativa e Stabilimento: <br />Via Emilia Est, 1741 - 41100 Modena<br />Tel. 059/280311 - Fax. 059/280841<br />P.IVA 02223810363 - CCIAA n. 275157<br />Iscr. Trib. Mo n.40186 - Cap. Soc &euro; 10400,00 i.v.</td>
</tr>
<tr>
  <td colspan="2" align="center" bgcolor="green" style="color:#ffffff; font-weight:bold; font-size:1.0em;">Cartella di LAVORAZIONE n. 30303003</td>
</tr>
<tr>
  <td colspan="2" class="fontsmall">Data inserimento: <b><?php echo date('d/m/Y',strtotime($model->datainserimento)); ?></b>&nbsp;Data consegna: <b><?php echo date('d/m/Y',strtotime($model->dataconsegna)); ?></b>&nbsp;Tipo consegna: <b><?php echo $model->tipoconsegna; ?></b></td>
</tr>
<tr>
  <td valign="top">
      <table>
          <tr><td colspan="2" class="fontsmall">Agente: <?php echo Agenti::getAgenteByPk($model->agente); ?></td></tr>
          <tr><td colspan="2"><b><?php echo $model->relcliente->nomeditta; ?></b></td></tr>
          <tr><td colspan="2"><?php echo $model->relcliente->indirizzo; ?></td></tr>
          <tr><td>P.I. <?php echo $model->relcliente->piva; ?></td><td>C.F. <?php echo $model->relcliente->codfiscale; ?></td></tr>
          <tr><td colspan="2">Tipo pagamento <b><?php echo $model->relcliente->pagamento; ?></b></td></tr>
      </table>
  </td>
  <td valign="top">
      <table>
          <tr><td colspan="2">Ref. <?php echo $model->relcliente->referente; ?></td></tr>
          <tr><td>Cel. <?php echo $model->relcliente->cellulare; ?></td><td>Tel. <?php echo $model->relcliente->telefono; ?></td></tr>
          <tr><td colspan="2">Fax <?php echo $model->relcliente->fax; ?></td></tr>
          <tr><td colspan="2"><?php echo $model->relcliente->emai; ?></td></tr>
          <tr><td colspan="2" class="fontsmall"><b>Banca</b></td></tr>
          <tr>
              <td colspan="2">
              <table>
                <tr><td class="fontsmall"><?php echo $model->relcliente->banca; ?></td></tr>
                <tr><td class="fontsmall">Agenzia: <?php echo $model->relcliente->agenzia; ?></td></tr>
                <tr><td class="fontsmall">ABI: <?php echo $model->relcliente->abi; ?></td><td class="fontsmall">CAB: <?php echo $model->relcliente->cab; ?></td></tr>
              </table>
              </td>
          </tr>
      </table>
  </td>
</tr>
<tr>
<td colspan="2" class="fontsmall">
<div style="padding:0px; margin:0px; width:100%;">
<b>DETTAGLI ORDINE</b>
<?php

 $modellav = new CActiveDataProvider('Lavori',array(
        'pagination' => array ('PageSize' => 100,),
        
        'criteria' => array(
            'select' => 't.*',
            'condition' => 'idordine=:id', 
            'params' => array("id" => $model->idordine), 
            
        ),
 ));
 
 $this->widget('zii.widgets.grid.CGridView', array(
	   'id'=>'lavori-grid',
	   'dataProvider'=>$modellav,
     'rowCssClassExpression' => '"fontsmall"',
     'enableSorting' => false,
	   'columns'=>array(
       
       
        array( 
          'name'=>'cod',
          'htmlOptions'=>array('class'=>'fontverysmall'),
          'header'=>'Cod.Art.',
          'headerHtmlOptions'=>array('class'=>'fontsmall','style'=>'text-align:left;'),
        ), 
        array( 
          'name'=>'descrizione',
          'htmlOptions'=>array('style'=>'width: 257px;'),
          'header'=>'Descrizione',
          'headerHtmlOptions'=>array('class'=>'fontsmall','style'=>'text-align:left;'),
        ),
        array( 
          'name'=>'unita',
          'header'=>'UM',
          'headerHtmlOptions'=>array('class'=>'fontsmall'),
        ),
        array( 
          'name'=>'quantita',
          'header'=>'Quantit&agrave;',
          'headerHtmlOptions'=>array('class'=>'fontsmall'),
        ),           
           
        /* 'prezzounitario', */
        
        array('name'=>'reparto', 'header'=>'Avanzam.','type' =>'raw','value'=>function($data,$row){
                $reparto = '';
                if($data->grafica) {
                    $reparto = 'Grafica';
                }
                
                if($data->montaggio) {
                    $reparto = 'Montaggio';
                }
                
                if($data->stampa) {
                    $reparto = 'Stampa';
                }
                
                if($data->confezione) {
                    $reparto = 'Confezione';
                }
                
                return $reparto;
                
        },'headerHtmlOptions'=>array('class'=>'fontsmall'),),
        array( 
          'name'=>'tipologialavoro',
          'header'=>'Stato',
          'headerHtmlOptions'=>array('class'=>'fontsmall'),
        ), 
        /*array( 
          'header'=>'Sconto %',
          'footer'=>'Totale :',
          'name'=>'sconto',
          'value'=>'CHTML::activeTextField($data,\'sconto\',array( \'style\'=>\'width:40px; font-size: 0.9em; padding:0px; margin-bottom:0px;\', \'onblur\' => CHtml::ajax(array(\'url\' => CController::createUrl(\'/lavori/updatesconto\',array(\'id\'=>$data->id)),\'type\' => \'POST\', \'data\' => array(\'Lavori[sconto]\' =>\'js:$(this).val()\'),\'success\' => "js:$.fn.yiiGridView.update(\'lavori-grid\')"))))',
          'type'=>'raw',
          'htmlOptions'=>array('style'=>'width: 70px;'),
        ),
        
        array('name'=>'totale','footer'=>$model->getTotals($model->idordine), 'header'=>'Totale','type' =>'raw','value'=>function($data,$row){
                return '<b>&euro; '.($data->quantita*$data->prezzounitario - ($data->quantita*$data->prezzounitario*$data->sconto/100)).'</b>';
        },), */

            
  
			
	),
  'summaryText'=>'',
  
  'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
   ), 
)); 




?>

</div>
</td>
</tr>
</table>
<footer>
<b class="smallfont">Note bene:</b>  
<div><?php echo $model->nota; ?></div>
<div style="text-align: center;">
41100 Modena - ITALY - Via Emilia Est, 1741 (Ponte S.Ambrogio) - Tel. 059/28.03.11 - Fax 059/28.08.41<br />
www.sigem.it - www.pinfo.it - www.naturamente.it
</div>
</footer>
 	

<?php $this->endWidget(); ?>
</div><!-- form --> 

<style>

  /* force a height so the tabs don't jump as content height changes */

  #tabs .tabs-spacer { float: left; height: 200px; }

  .tabs-bottom .ui-tabs-nav { clear: left; padding: 0 .2em .2em .2em; }

  .tabs-bottom .ui-tabs-nav li { top: auto; bottom: 0; margin: 0 .2em 1px 0; border-bottom: auto; border-top: 0; line-height: 15px; }

  .tabs-bottom .ui-tabs-nav li.ui-tabs-active { margin-top: -1px; padding-top: 1px; }

  </style>



<script>
function GetChar(e) { 
    if(e.which == 13) {   e.stopImmediatePropagation();  }
}



function openMyDialog(myurl, handler) {
 
  $.ajax({
    type: "POST",
    url: myurl,
    dataType: 'json',
  }).done(function( data ) {
          

   $('#lavori-ext-form :input').each(function(){ 
      $(this).val('');
   });
   
   $(':input,select option', '#lavori-ext-form').removeAttr('checked').removeAttr('selected');
   // Seleziona il primo valore della select
   $('select option:first', '#lavori-ext-form').attr('selected',true);
      
       if(data.grafica == '1') {
          $('#lavori-ext-form #Lavori_grafica').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_grafica').val(data.grafica);
       $('#lavori-ext-form #ytLavori_grafica').val(data.grafica);
       
       $('#lavori-ext-form #Lavori_grafstato').val(data.grafstato);
       $('#lavori-ext-form #Lavori_grafdove').val(data.grafdove);
       $('#lavori-ext-form #Lavori_grafrientro').val(data.grafrientro);
       $('#lavori-ext-form #Lavori_grafgrafico').val(data.grafgrafico);      
       $('#lavori-ext-form #Lavori_grafore').val(data.grafore);      
       $('#lavori-ext-form #Lavori_grafnote').val(data.grafnote);      
       $('#lavori-ext-form #Lavori_grafinvio').val(data.grafinvio); 
       
       
       if(data.montaggio  == '1') {
          $('#lavori-ext-form #Lavori_montaggio').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_montaggio').val(data.grafica);
       $('#lavori-ext-form #ytLavori_montaggio').val(data.grafica);
       
       $('#lavori-ext-form #Lavori_monstato').val(data.monstato);
       $('#lavori-ext-form #Lavori_mondove').val(data.mondove);
       $('#lavori-ext-form #Lavori_monrientro').val(data.monrientro);
       $('#lavori-ext-form #Lavori_monlastre').val(data.monlastre);
       $('#lavori-ext-form #Lavori_monore').val(data.monore);
       $('#lavori-ext-form #Lavori_MonNote').val(data.MonNote);
       $('#lavori-ext-form #Lavori_moninvio').val(data.moninvio); 
       
       
       
       if(data.stampa == '1') {
          $('#lavori-ext-form #Lavori_stampa').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_stampa').val(data.stampa);
       $('#lavori-ext-form #ytLavori_stampa').val(data.stampa);
       $('#lavori-ext-form #Lavori_stamstato').val(data.stamstato);
       $('#lavori-ext-form #Lavori_stamdove').val(data.stamdove);
       $('#lavori-ext-form #Lavori_stamrientro').val(data.stamrientro);
       $('#lavori-ext-form #Lavori_stammacchina').val(data.stammacchina);
       $('#lavori-ext-form #Lavori_stamtecnico').val(data.stamtecnico);
       $('#lavori-ext-form #Lavori_stamore').val(data.stamore);
       $('#lavori-ext-form #Lavori_stamnote').val(data.stamnote);
       $('#lavori-ext-form #Lavori_staminvio').val(data.staminvio); 
       
       
       if(data.confezione == '1') {
          $('#lavori-ext-form #Lavori_confezione').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_confezione').val(data.confezione);
       $('#lavori-ext-form #ytLavori_confezione').val(data.confezione);
       
       $('#lavori-ext-form #Lavori_confstato').val(data.confstato);
       $('#lavori-ext-form #Lavori_confdove').val(data.confdove);
       $('#lavori-ext-form #Lavori_confrientro').val(data.confrientro);
       $('#lavori-ext-form #Lavori_confore').val(data.confore);      
       $('#lavori-ext-form #Lavori_confnote').val(data.confnote);      
       $('#lavori-ext-form #Lavori_confinvio').val(data.confinvio);      



      
      $(handler).parent().parent().after('<tr><td colspan="10">' + $('#lavori-ext-form').html() + '</td></tr>');
      var a = $(handler).parent().parent().next().tabs();
      
       // fix the classes

    $( ".tabs-bottom .ui-tabs-nav, .tabs-bottom .ui-tabs-nav > *" ).removeClass( "ui-corner-all ui-corner-top" ).addClass( "ui-corner-bottom" );
    
    if(data.grafica == '1') {
     $(handler).parent().parent().next().tabs("option", "active", 0);
    }
    
    
    if(data.montaggio  == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 1);
    }
    
    if(data.stampa == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 2);
    }
    
    if(data.confezione == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 3);
    }


      
      $(handler).removeClass('plus');
      $(handler).addClass('minus');
  
      $(handler).unbind();
      $(handler).click(function() {

          $(handler).parent().parent().next().slideUp();
          $(this).removeClass('minus');
          $(this).addClass('plus');
          $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/plus.png" ?>\' border=\'0\' />');
          $(handler).unbind();
          $(handler).click(function() { openMyDialog(this.href, this); return false; });
          return false;
      });
      $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/minus.png" ?>\' border=\'0\' />');
      
      
      
     
  });
   
   
}

</script>
