<?php
/* @var $this OrdiniController */
/* @var $model Ordini */
/* @var $form CActiveForm */
?>


<div class="form">

<?php 



$form=$this->beginWidget('CActiveForm', array(
	'id'=>'ordini-form',
	'enableAjaxValidation'=>false,
)); ?>

	<?php echo $form->errorSummary($model); ?>
<table width="100%">
<tr>
  <td width="90%" align="left" valign="top">
    <table>
	<tr>
	<td>
	<img width="240" src="<?php echo Yii::app()->request->baseUrl.'/images/sigem-logoordini310x130.jpg'; ?>" border="0" />
	</td>
	<td>
	<div style="font-size:1.0em;"><b>GRAFICHE SIGEM srl</b><br /><span style="font-size:0.9em;">Sede Legale, Amministrativa e Stabilimento:</span><br />Via Emilia Est, 1741 - 41100 Modena<br />Tel. 059/280311 - Fax. 059/280841<br />P.IVA 02223810363 - CCIAA n. 275157<br /><span style="font-size:0.9em;">Iscr. Trib. Mo n.40186 - Cap. Soc &euro; 10400,00 i.v.</span></div>
	</td>
	</tr>
	</table>
	
  </td>
</tr>
</table>
<table width="100%">
<tr>
  <td colspan="2" align="right"><span style="color:black; font-size:1.3em;">Codice Preventivo: <b><?php echo $model->idordine; ?></b> del <?php echo date('d/m/Y'); ?></span></td>
</tr>
<tr>
  <td colspan="2">&nbsp;</td>
</tr>
<tr>
  <td valign="top" style="width:60%;">
      <table style="width:100%;">
          <tr><td colspan="2" style="font-size:1.2em;">Spettabile</td></tr>
          <tr><td colspan="2"  style="font-weight:bold; font-size:1.3em;"><b><?php echo $model->relcliente->nomeditta; ?></b>&nbsp;</td></tr>
          <tr><td colspan="2" style="font-size:1.2em;"><?php echo $model->relcliente->indirizzo; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.2em;"><?php echo $model->relcliente->cap; ?>&nbsp;<?php echo $model->relcliente->citta; ?>&nbsp;(<?php echo $model->relcliente->provincia; ?>)</td></tr>
          <tr><td style="font-size:1.2em;">P.I. <?php echo $model->relcliente->piva; ?></td><td>C.F. <?php echo $model->relcliente->codfiscale; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.0em;"><?php if(isset($model->relcliente->note) && !empty($model->relcliente->note)) { echo 'Note cliente: '.$model->relcliente->note; } ?></td></tr>
      </table>
  </td>
  <td valign="top" style="width:50%;">
      <table style="width:100%;" align="right">
          <tr><td colspan="2" style="font-size:1.2em;">Sig.re/ra <b><?php echo $model->relcliente->referente; ?></b></td></tr>
          <tr><td style="font-size:1.2em;">Cell: <?php echo $model->relcliente->cellulare; ?></td><td style="font-size:1.2em;">Tel: <?php echo $model->relcliente->telefono; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.2em;">Fax: <?php echo $model->relcliente->fax; ?></td></tr>
          <tr><td colspan="2" style="font-size:1.2em;">E-M: <?php echo $model->relcliente->emai; ?></td></tr>
          <tr><td colspan="2" style="color:#ffffff; background-color:#000000; font-size:1.2em;"><div>&nbsp;Tipo pagamento <b><?php echo $model->relcliente->pagamento; ?></div></td></tr>
          <tr>
              <td colspan="2" style="border: 1px solid grey;">
              <table width="100%">
                <tr><td style="font-size:1.2em;" colspan="2">Banca: <?php echo $model->relcliente->banca; ?></td></tr>
                <tr><td style="font-size:1.2em;" colspan="2">Agenzia: <?php echo $model->relcliente->agenzia; ?></td></tr>
                <tr><td style="font-size:1.2em;" colspan="2">ABI: <?php echo $model->relcliente->abi; ?>&nbsp;&nbsp;&nbsp;CAB: <?php echo trim(preg_replace('/\s\s+/', ' ', $model->relcliente->cab)); ?></td></tr>
              </table>
              </td>
          </tr>
      </table>
  </td>
</tr>

<tr>
  <td colspan="2" style="color:#000000; font-weight:bold; font-size:1.2em;">DETTAGLI PREVENTIVO</td>
</tr>
</table>

<div style="padding:0px; margin:0px; width:100%;">

<?php

 $modellav = new CActiveDataProvider('Lavori',array(
        'pagination' => array ('PageSize' => 100,),
        'criteria' => array(
            'select' => 't.*',
            'condition' => 'idordine=:id', 
            'params' => array("id" => $model->idordine), 
            
        ),
 ));
 
 $this->widget('zii.widgets.grid.CGridView', array(
	 'id'=>'lavori-grid',
	 'dataProvider'=>$modellav,
    
     'enableSorting' => false,
	 'columns'=>array(
       
       
        array( 
          'name'=>'cod',
          'header'=>'cod.art.',
		  'htmlOptions'=>array('style'=>'vertical-align:top; width:120px; text-align:right; font-size:0.9em;'),
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; text-align:left; background-color:#ccccb3; font-weight:normal; font-size:1.0em;'),
		  	  
		 
        ), 
        array( 
          'name'=>'descrizione',
          'header'=>'descrizione',
		  'htmlOptions'=>array('style'=>'font-size:0.9em;'),
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; width:220px; text-align:left; background-color:#ccccb3; font-weight:normal; font-size:1.0em;'),
		  'footer'=>$model->getCostotrasporto()?"Spese di spedizione:<br /><br /><b>Importo Totale preventivo:</b>":"<br /><b>Importo Totale preventivo:</b>",
		  'footerHtmlOptions'=>array('style'=>'text-align:right;'),	
        ),
        array( 
          'name'=>'unita',
		  'htmlOptions'=>array('style'=>'vertical-align:top; text-align:center; width: 30px; font-size:1.1em;'),
          'header'=>'UM',
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; background-color:#ccccb3; font-weight:normal; font-size:1.0em; text-align:center;'),
		  
        ),
        array( 
          'name'=>'quantita',
		  'htmlOptions'=>array('style'=>'vertical-align:top; width:60px; text-align:right; font-size:1.0em;'),
          'header'=>'qt&agrave;',
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; background-color:#ccccb3; font-weight:normal; font-size:1.0em;'),
        ),           
        array( 
          'name'=>'prezzounitario',
          'header'=>'prezzo unit.',
		  'htmlOptions'=>array('style'=>'vertical-align:top; text-align:right; font-size:1.0em;'),
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; background-color:#ccccb3; font-weight:normal; font-size:1.0em;'),
		  'value'=>function($data,$row) { echo number_format($data->prezzounitario, 4, ',', ''); },
		  
        ),   
		array( 
          'name'=>'sconto',
          'header'=>'sc.%',
		  'htmlOptions'=>array('style'=>'vertical-align:top; text-align:right; font-size:1.0em;'),
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; background-color:#ccccb3; font-weight:normal; font-size:1.0em;'),
		   
        ), 
		
		array( 
          'name'=>'totale',
          'header'=>'tot(iva esc.sa)',
		  'htmlOptions'=>array('style'=>'vertical-align:top; width:95px; text-align:right; font-size:1.0em;'),
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; background-color:#ccccb3; font-weight:normal; font-size:1.0em;'),
		  'value'=>function($data,$row) { echo '&euro; '.number_format((float)($data->quantita*$data->prezzounitario - ($data->quantita*$data->prezzounitario*$data->sconto/100)),2,'.','');  },
		  'footer'=>$model->getCostotrasporto()?'&euro; '.number_format($model->getCostotrasporto(), 2, '.', '').'</b><br /><br />&nbsp;':"",
		  'footerHtmlOptions'=>array('style'=>'text-align:right; font-size:1.0em;'),
        ), 
		
		array( 
          'name'=>'totaleconiva',
          'header'=>'tot (iva inc.sa)',
		  'htmlOptions'=>array('style'=>'vertical-align:top; width:95px; text-align:right; font-size:1.0em;'),
          'headerHtmlOptions'=>array('style'=>'border-right: 8px; background-color:#ccccb3; font-weight:normal; font-size:1.0em;'),
		  'value'=>function($data,$row) {  echo '&euro; '.number_format((float)(($data->quantita*$data->prezzounitario - ($data->quantita*$data->prezzounitario*$data->sconto/100))*1.22),2,'.','');  },
		  'footer'=>$model->getCostotrasporto()?'&euro; '.number_format($model->getCostotrasporto() * 1.22, 2, '.', '').'<br /><br /><b>&euro; '.number_format($model->getTotali() * 1.22 + $model->getCostotrasporto() * 1.22, 2, '.', '').'</b>':'<br /><b>&euro; '.number_format($model->getTotali() * 1.22 + $model->getCostotrasporto(), 2, '.', '').'</b>',
		  'footerHtmlOptions'=>array('style'=>'text-align:right; font-size:1.0em;'),
		 
        ), 


		
	),
  'summaryText'=>'',

  
  'pager' => array(
        'header' => false,
        'firstPageLabel' => 'First',
        'prevPageLabel' => 'Indietro',
        'nextPageLabel' => 'Avanti',
        'lastPageLabel' => 'Last',
   ), 
)); 




?>
<?php $this->endWidget(); ?>
</div>
<?php //echo $model->note; ?>

</div><!-- form --> 
<br />

<div style="position: absolute; bottom: 0px; width:100%;">
<b class="smallfont">&nbsp;Nota bene:&nbsp;</b>  
<div class="riquadronotefooter"><?php echo $model->nota; ?></div><br />
<table width="100%">
<tr><td>Firma e timbro per accettazione<br /><br />________________________________</td><td>&nbsp;</td><td>&nbsp;</td><td align="right"><div>Cordiali saluti<br /><?php echo strtoupper(Agenti::getAgenteByPk($model->agente)); ?></div></td></tr>
</table>
<br />
<div style="font-size:0.8em; text-align: justify;">
<b>Per accettazione inviare questo preventivo timbrato e firmato al numero 059/280841</b><br />
<b>Il presente preventivo ha validit&agrave; 60gg a partire dalla data di compilazione</b><br>
<span style="font-size:0.8em; text-align:justify;">Le parti si danno reciprocamente atto dell'avventua informativa ai sensi dell'art. 13-23 del D.L.gs 30/06/2003 n.196 relativo al Codice in materia di protezione dei dati personali ed esprimono il loro consenso a che i dati nell'ambito dell'esecuzione contrattuale siano comunicati a terzi. Qualora desideriate cancellare i Vs. dati dai nostri archivi, Vi preghiamo di comunicarlo.
</div>
</div>




<script>
function GetChar(e) { 
    if(e.which == 13) {   e.stopImmediatePropagation();  }
}



function openMyDialog(myurl, handler) {
 
  $.ajax({
    type: "POST",
    url: myurl,
    dataType: 'json',
  }).done(function( data ) {
          

   $('#lavori-ext-form :input').each(function(){ 
      $(this).val('');
   });
   
   $(':input,select option', '#lavori-ext-form').removeAttr('checked').removeAttr('selected');
   // Seleziona il primo valore della select
   $('select option:first', '#lavori-ext-form').attr('selected',true);
      
       if(data.grafica == '1') {
          $('#lavori-ext-form #Lavori_grafica').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_grafica').val(data.grafica);
       $('#lavori-ext-form #ytLavori_grafica').val(data.grafica);
       $('#lavori-ext-form #Lavori_grafstato').val(data.grafstato);
       $('#lavori-ext-form #Lavori_grafdove').val(data.grafdove);
       $('#lavori-ext-form #Lavori_grafrientro').val(data.grafrientro);
       $('#lavori-ext-form #Lavori_grafgrafico').val(data.grafgrafico);      
       $('#lavori-ext-form #Lavori_grafore').val(data.grafore);      
       $('#lavori-ext-form #Lavori_grafnote').val(data.grafnote);      
       $('#lavori-ext-form #Lavori_grafinvio').val(data.grafinvio); 
       
       
       if(data.montaggio  == '1') {
          $('#lavori-ext-form #Lavori_montaggio').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_montaggio').val(data.grafica);
       $('#lavori-ext-form #ytLavori_montaggio').val(data.grafica);
       $('#lavori-ext-form #Lavori_monstato').val(data.monstato);
       $('#lavori-ext-form #Lavori_mondove').val(data.mondove);
       $('#lavori-ext-form #Lavori_monrientro').val(data.monrientro);
       $('#lavori-ext-form #Lavori_monlastre').val(data.monlastre);
       $('#lavori-ext-form #Lavori_monore').val(data.monore);
       $('#lavori-ext-form #Lavori_MonNote').val(data.MonNote);
       $('#lavori-ext-form #Lavori_moninvio').val(data.moninvio); 
       
       
       
       if(data.stampa == '1') {
          $('#lavori-ext-form #Lavori_stampa').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_stampa').val(data.stampa);
       $('#lavori-ext-form #ytLavori_stampa').val(data.stampa);
       $('#lavori-ext-form #Lavori_stamstato').val(data.stamstato);
       $('#lavori-ext-form #Lavori_stamdove').val(data.stamdove);
       $('#lavori-ext-form #Lavori_stamrientro').val(data.stamrientro);
       $('#lavori-ext-form #Lavori_stammacchina').val(data.stammacchina);
       $('#lavori-ext-form #Lavori_stamtecnico').val(data.stamtecnico);
       $('#lavori-ext-form #Lavori_stamore').val(data.stamore);
       $('#lavori-ext-form #Lavori_stamnote').val(data.stamnote);
       $('#lavori-ext-form #Lavori_staminvio').val(data.staminvio); 
       
       
       if(data.confezione == '1') {
          $('#lavori-ext-form #Lavori_confezione').attr('checked','checked');
       }
       $('#lavori-ext-form #Lavori_confezione').val(data.confezione);
       $('#lavori-ext-form #ytLavori_confezione').val(data.confezione);
       $('#lavori-ext-form #Lavori_confstato').val(data.confstato);
       $('#lavori-ext-form #Lavori_confdove').val(data.confdove);
       $('#lavori-ext-form #Lavori_confrientro').val(data.confrientro);
       $('#lavori-ext-form #Lavori_confore').val(data.confore);      
       $('#lavori-ext-form #Lavori_confnote').val(data.confnote);      
       $('#lavori-ext-form #Lavori_confinvio').val(data.confinvio);      



      
      $(handler).parent().parent().after('<tr><td colspan="10">' + $('#lavori-ext-form').html() + '</td></tr>');
      var a = $(handler).parent().parent().next().tabs();
      
       // fix the classes

    $( ".tabs-bottom .ui-tabs-nav, .tabs-bottom .ui-tabs-nav > *" ).removeClass( "ui-corner-all ui-corner-top" ).addClass( "ui-corner-bottom" );
    
    if(data.grafica == '1') {
     $(handler).parent().parent().next().tabs("option", "active", 0);
    }
    
    
    if(data.montaggio  == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 1);
    }
    
    if(data.stampa == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 2);
    }
    
    if(data.confezione == '1') {
      $(handler).parent().parent().next().tabs("option", "active", 3);
    }


      
      $(handler).removeClass('plus');
      $(handler).addClass('minus');
  
      $(handler).unbind();
      $(handler).click(function() {

          $(handler).parent().parent().next().slideUp();
          $(this).removeClass('minus');
          $(this).addClass('plus');
          $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/plus.png" ?>\' border=\'0\' />');
          $(handler).unbind();
          $(handler).click(function() { openMyDialog(this.href, this); return false; });
          return false;
      });
      $(handler).html('<img src=\'<?php echo Yii::app()->request->baseUrl."/images/minus.png" ?>\' border=\'0\' />');
      
     
  });
   
   
}

</script>
