<?php
/* @var $this UtentiController */
/* @var $model Utenti */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'utenti-form',
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">I campi contrassegnati con <span class="required">*</span> sono obbligatori</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'nome'); ?>
		<?php echo $form->textField($model,'nome',array('size'=>60,'maxlength'=>150)); ?>
		<?php echo $form->error($model,'nome'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'cognome'); ?>
		<?php echo $form->textField($model,'cognome',array('size'=>60,'maxlength'=>150)); ?>
		<?php echo $form->error($model,'cognome'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'mail'); ?>
		<?php echo $form->textField($model,'mail',array('size'=>60,'maxlength'=>100)); ?>
		<?php echo $form->error($model,'mail'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'cellulare'); ?>
		<?php echo $form->textField($model,'cellulare',array('size'=>60,'maxlength'=>150)); ?>
		<?php echo $form->error($model,'cellulare'); ?>
	</div>
  
  <div class="row">
		<?php echo $form->labelEx($model,'username'); ?>
		<?php echo $form->textField($model,'username',array('size'=>60,'maxlength'=>150)); ?>
		<?php echo $form->error($model,'username'); ?>
	</div>
  
  
  <div class="row">
		<?php echo $form->labelEx($model,'password'); ?>
    <?php 
    if(Yii::app()->user->isAdmin) {
        echo $form->textField($model,'password',array('size'=>60,'maxlength'=>150));   
    } else {
        echo $form->passwordField($model,'password',array('size'=>60,'maxlength'=>150)); 
    }
    ?>
		<?php echo $form->error($model,'password'); ?>
	</div>
  
  
	<div class="row">
		<?php echo $form->labelEx($model,'ruolo'); ?>
		<?php echo CHtml::activeDropDownList($model,'ruolo',array('1'=>'Agente','6'=>'Responsabile', '99'=>'Administrator')); ?>
		<?php echo $form->error($model,'ruolo'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'gruppo'); ?>
		<?php echo CHtml::activeDropDownList($model,'gruppo',Gruppi::getOptions()); ?>
		<?php echo $form->error($model,'gruppo'); ?>
	</div>
	
	
	<div class="row">
		<?php echo $form->labelEx($model,'idagente'); ?>
		<?php echo CHtml::activeDropDownList($model,'idagente',Agenti::getOptions()); ?>
		<?php echo $form->error($model,'idagente'); ?>
	</div>

  <br />
  <p>
    Livello Amministratore - <b>Accesso completo ai nominativi e alle configurazioni</b><br>
    Livello Responsabile - <b>Accesso completo ai nominativi</b><br>
    Livello Agente - <b>Solo accesso ai propri nominativi</b><br>
  </p>
<br />
	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Crea' : 'Salva',array('class'=>'btn-success btn')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->