<?php
/* @var $this UtentiController */
/* @var $model Utenti */


$this->menu=array(
	array('label'=>'Crea Nuovo Utente', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('agenti-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>


<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'utenti-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
  'summaryText'=>'Mostra <b>{start}-{end}</b> di <b style="color: red">{count}</b> risultati&nbsp;&nbsp;',
	'columns'=>array(
		array('name'=>'idutente', 'header'=>'ID','type' =>'raw','htmlOptions'=>array('style'=>'width: 30px; text-align: left;') ),
		'nome',
		'cognome',
		'mail',
		'cellulare',
		array('name'=>'ruolo', 'header'=>'Ruolo','type' =>'raw', 'value' => array($model,'renderRuolo'), 'htmlOptions'=>array('style'=>'width: 100px;')),
		array('name'=>'gruppo', 'header'=>'Gruppo','type' =>'raw', 'value' => function($data) { $gr = Gruppi::model()->findByPk($data->gruppo); return $gr->gruppo; } , 'htmlOptions'=>array('style'=>'width: 100px;')),
		array('name'=>'idagente', 'header'=>'Agente Rif.','type' =>'raw', 'value' => function($data) { if(isset($data->idagente) && $data->idagente) { $ag = Agenti::model()->findByPk($data->idagente); return $ag->nome.' '.$ag->cognome; }} , 'htmlOptions'=>array('style'=>'width: 100px;')),
		array(
			'class'=>'CButtonColumn',
			'template'=>'{update} {delete}',
		),
	),
)); ?>